/*****************************************************************************/
/*   M-Control Program Include File                                          */
/*   Copyright (c) 1992 IBM Corporation.  All Rights Reserved.               */
/*                                                                           */
/*   Dependencies: Assumes WINDOWS.H and MMSYSTEM.H have been included       */
/*****************************************************************************/

/*****************************************************************************/
/*                      AUDIO SECTION                                        */
/*****************************************************************************/

#define  AUX_SETBASS              DRV_USER + 0x1001
#define  AUX_GETBASS              DRV_USER + 0x1002

#define  AUX_SETTREBLE            DRV_USER + 0x1003
#define  AUX_GETTREBLE            DRV_USER + 0x1004

#define  AUX_MUTELINE             DRV_USER + 0x1005

#define  AUX_AUDIO_CONTROL        DRV_USER + 0x1006

#define  WAVEIN_SETVOLUME         DRV_USER + 0x2001
#define  WAVEIN_GETVOLUME         DRV_USER + 0x2002

#define  WAVEIN_SET_INPUTS        DRV_USER + 0x2003

#define  MCP_INPUT1          1L             // Enable Audio Input 1
#define  MCP_INPUT2          2L             // Enable Audio Input 2
#define  MCP_MIX_INPUTS      3L             // Enable Audio Inputs 1 and 2

#define  MCP_LEFT            0x20L          // Enable Left Channel Input
#define  MCP_RIGHT           0x40L          // Enable Right Channel Input

#define  MCP_STEREO          0L             // Stereo Output
#define  MCP_MONO            1L             // Mono Output - Left and Right
                                            //      Channels will be Mixed on
                                            //      Both Left and Right Outputs
#define  MCP_SPEAKER         2L             // Enable PS/2 Speaker


/*****************************************************************************/
/*                  VIDEODISC PLAYER SECTION                                 */
/*****************************************************************************/
//-----------------------------------------------------------------------------
// Custom MCIERR messages...
//-----------------------------------------------------------------------------
#define  MCP_MCIERR_SPUNDOWN           (MCIERR_CUSTOM_DRIVER_BASE + 256 +  0   )
#define  MCP_MCIERR_SPUNUP             (MCIERR_CUSTOM_DRIVER_BASE + 256 +  1   )
#define  MCP_MCIERR_PASSREADERROR      (MCIERR_CUSTOM_DRIVER_BASE + 256 +  2   )
#define  MCP_MCIERR_INVALIDFRAME       (MCIERR_CUSTOM_DRIVER_BASE + 256 +  3   )
#define  MCP_MCIERR_MAXMATCHES         (MCIERR_CUSTOM_DRIVER_BASE + 256 +  4   )
#define  MCP_MCIERR_PLAYINGBEYONDMATCH (MCIERR_CUSTOM_DRIVER_BASE + 256 +  5   )
#define  MCP_MCIERR_MATCHNOTFOUND      (MCIERR_CUSTOM_DRIVER_BASE + 256 +  6   )
#define  MCP_MCIERR_MCIWAITNOTACCEPTED (MCIERR_CUSTOM_DRIVER_BASE + 256 +  7   )
#define  MCP_MCIERR_MATCHCANCELLED     (MCIERR_CUSTOM_DRIVER_BASE + 256 +  9   )
#define  MCP_MCIERR_COMMANDCANCELLED   (MCIERR_CUSTOM_DRIVER_BASE + 256 +  10  )
#define  MCP_MCIERR_DOOROPENING        (MCIERR_CUSTOM_DRIVER_BASE + 256 +  11  )
#define  MCP_MCIERR_DOORCLOSING        (MCIERR_CUSTOM_DRIVER_BASE + 256 +  12  )
#define  MCP_MCIERR_SPINNINGUP         (MCIERR_CUSTOM_DRIVER_BASE + 256 +  13  )
#define  MCP_MCIERR_SPINNINGDOWN       (MCIERR_CUSTOM_DRIVER_BASE + 256 +  14  )
#define  MCP_MCIERR_PLAYERBUSY         (MCIERR_CUSTOM_DRIVER_BASE + 256 +  15  )
#define  MCP_MCIERR_INVALIDSMPTENUMBER (MCIERR_CUSTOM_DRIVER_BASE + 256 +  16  )
#define  MCP_MCIERR_NOTPAUSED          (MCIERR_CUSTOM_DRIVER_BASE + 256 +  17  )
#define  MCP_MCIERR_DOOROPEN           (MCIERR_CUSTOM_DRIVER_BASE + 256 +  18  )
#define  MCP_MCIERR_DOORCLOSED         (MCIERR_CUSTOM_DRIVER_BASE + 256 +  19  )
#define  MCP_MCIERR_INVALIDRANGE       (MCIERR_CUSTOM_DRIVER_BASE + 256 +  20  )
#define  MCP_MCIERR_PAUSEREJECTED      (MCIERR_CUSTOM_DRIVER_BASE + 256 +  21  )
#define  MCP_MCIERR_INDETERMINABLE     (MCIERR_CUSTOM_DRIVER_BASE + 256 +  22  )
#define  MCP_MCIERR_NOVIDEODISC        (MCIERR_CUSTOM_DRIVER_BASE + 256 +  23  )
#define  MCP_MCIERR_INVALIDWITHCAV     (MCIERR_CUSTOM_DRIVER_BASE + 256 +  24  )
#define  MCP_MCIERR_INVALIDWITHCLV     (MCIERR_CUSTOM_DRIVER_BASE + 256 +  25  )
#define  MCP_MCIERR_INVALIDWITHHMSCLV  (MCIERR_CUSTOM_DRIVER_BASE + 256 +  26  )
#define  MCP_MCIERR_CLV_ERROR          (MCIERR_CUSTOM_DRIVER_BASE + 256 +  27  )


//-----------------------------------------------------------------------------
// Custom MCI messages...
//
// (1) Messages for custom commands...
//
//     Literals must be used to satisfy the command-table compiler...
//     ...0x0c00 is the literal value of MCI_USER_MESSAGES...
//
//
// (2) Other custom messages...
//
//-----------------------------------------------------------------------------
// Custom command ids...
#define MCP_MCI_VD_CONTEXT            0x0c00    // (MCI_USER_MESSAGES + 0x0000)
#define MCP_MCI_VD_DRIVER             0x0c01    // (MCI_USER_MESSAGES + 0x0001)
#define MCP_MCI_VD_INDEX              0x0c02    // (MCI_USER_MESSAGES + 0x0002)
#define MCP_MCI_VD_KEYLOCK            0x0c03    // (MCI_USER_MESSAGES + 0x0003)
#define MCP_MCI_VD_POS_MATCH          0x0c04    // (MCI_USER_MESSAGES + 0x0004)
#define MCP_MCI_VD_P8_AUDIO           0x0c05    // (MCI_USER_MESSAGES + 0x0005)
#define MCP_MCI_VD_P8_SUBAUDIO        0x0c06    // (MCI_USER_MESSAGES + 0x0006)
#define MCP_MCI_VD_S_SETLENGTH        0x0c07    // (MCI_USER_MESSAGES + 0x0007)

//-----------------------------------------------------------------------------
// Structures and defines for custom commands...
//
//-----------------------------------------------------------------------------

// Defines for MCP_MCI_VD_CONTEXT...
#define MCP_MCI_VD_CONTEXT_SAVE     0x00010000L
#define MCP_MCI_VD_CONTEXT_RESTORE  0x00020000L

// You must allocate a buffer of the following
//     size and pass the pointer in lpContext.
#define MCP_MCI_VD_CONTEXT_RETSIZE  200

typedef struct
   {
   DWORD          dwCallback ;
   LPVOID         lpContext ;
   DWORD          dwRetSize;
   }
MCP_MCI_VD_CONTEXT_PARMS ;
typedef MCP_MCI_VD_CONTEXT_PARMS FAR * LPMCP_MCI_VD_CONTEXT_PARMS ;


// Defines for MCP_MCI_VD_DRIVER...
#define MCP_MCI_VD_DRIVER_NAME    0x00010000L

typedef struct
   {
   DWORD   dwCallback ;
   LPSTR   lpstrReturn ;
   DWORD   dwRetSize ;
   }
MCP_MCI_VD_DRIVER_PARMS ;
typedef MCP_MCI_VD_DRIVER_PARMS FAR * LPMCP_MCI_VD_DRIVER_PARMS ;


// Defines for MCP_MCI_VD_INDEX...
#define MCP_MCI_VD_INDEX_ON      0x00010000L
#define MCP_MCI_VD_INDEX_OFF     0x00020000L


// Defines for MCP_MCI_VD_KEYLOCK...
#define MCP_MCI_VD_KEYLOCK_ON    0x00010000L
#define MCP_MCI_VD_KEYLOCK_OFF   0x00020000L


// Defines for MCP_MCI_VD_POS_MATCH...
#define MCP_MCI_VD_POS_MATCH_SET   0x00010000L
#define MCP_MCI_VD_POS_MATCH_CLEAR 0x00020000L

typedef struct
   {
   DWORD   dwCallback ;
   HWND    hwndResponse ;
   WORD    wResponseMessage ;
   DWORD   dwPosition ;
   }
MCP_MCI_VD_POS_MATCH_PARMS ;
typedef MCP_MCI_VD_POS_MATCH_PARMS FAR * LPMCP_MCI_VD_POS_MATCH_PARMS ;


// Defines for MCP_MCI_VD_P8_AUDIO...
typedef struct
   {
   DWORD   dwCallback ;
   DWORD   dwAudio ;
   }
MCP_MCI_VD_P8_AUDIO_PARMS ;
typedef MCP_MCI_VD_P8_AUDIO_PARMS FAR * LPMCP_MCI_VD_P8_AUDIO_PARMS ;


// Defines for MCP_MCI_VD_P8_SUBAUDIO...
typedef struct
   {
   DWORD   dwCallback ;
   DWORD   dwSubAudio ;
   }
MCP_MCI_VD_P8_SUBAUDIO_PARMS ;
typedef MCP_MCI_VD_P8_SUBAUDIO_PARMS FAR * LPMCP_MCI_VD_P8_SUBAUDIO_PARMS ;


// Defines for MCP_MCI_VD_S_SETLENGTH...
typedef struct
   {
   DWORD   dwCallback ;
   DWORD   dwLength ;
   }
MCP_MCI_VD_S_SETLENGTH_PARMS ;
typedef MCP_MCI_VD_S_SETLENGTH_PARMS FAR * LPMCP_MCI_VD_S_SETLENGTH_PARMS ;



//*****************************************************************************
// End of file...
//*****************************************************************************
