
//*****************************************************************************
// (C) Copyright IBM Corporation 1989,1992
//
// MODULE:  MDefs.h           (Multimedia Defines)
// VERSION: 1.00
//
// DESCRIPTION:
//
//    This module contains Defines that are shared by Multimedia classes,
//    including the Multimedia Video Window (MVWN) and the Multimedia
//    Videodisc Player Control (MVPC).
//
//    This header file is imbedded by MVPC.H or MVWN.H.  It is used
//    by toolkit developers that are including the multimedia classes MVWN and
//    MVPC in their applications.
//
//*****************************************************************************

//*****************************************************************************
// DEFINES for Multimedia Class names:
//
// NOTE: Use the actual string value when using dialog box templates.
//*****************************************************************************

#define WC_MVPC          "MVPC"
#define WC_MVWN          "MVWN"


//*****************************************************************************
// DEFINES for MPREFIX structure:
//*****************************************************************************

// Field: usMMType ------------------------------------------------------------
#define MTYPE_MVPC            1        // Videodisc Player Control
#define MTYPE_MVWN            2        // Video Window

// Field: offMCommand ---------------------------------------------------------
#define MPREFIX_OFFMCOMMAND   sizeof (MPREFIX)

// Field: offMData ------------------------------------------------------------
#define MPREFIX_OFFMDATA      (sizeof (MPREFIX) + sizeof (MCOMMAND))


//*****************************************************************************
// DEFINES for MCOMMAND structure:
//*****************************************************************************

// Field: usAck ---------------------------------------------------------------
#define MACK_NOTPROCESSEDYET        0
#define MACK_CMDACCEPTED            1
#define MACK_CMDNOTACCEPTED         2

// Field: usResponse ----------------------------------------------------------
#define MRESP_NOTPROCESSEDYET       0
#define MRESP_NORESPONSEPENDING     1
#define MRESP_RESPONSEPENDING       2


//*****************************************************************************
// END OF FILE
//*****************************************************************************
