// Public WINDOWS header
//*****************************************************************************
// (C) Copyright IBM Corporation 1989,1990,1992
//
// MODULE:  MDEFSWIN.H		 (Multimedia Defines)
// VERSION: 1.00
//
// DESCRIPTION:
//
//    This module contains Defines that are shared by Multimedia classes,
//    including the Multimedia Video Window (MVWN) and the Multimedia
//    Videodisc Player Control (MVPC).
//
//    This header file is imbedded by MVPCWIN.H or MVWNWIN.H.  It is used
//    by toolkit developers that are including the multimedia classes MVWN and
//    MVPC in their applications.
//
//*****************************************************************************

//*****************************************************************************
// DEFINES for Multimedia Class names:
//
// NOTE: Use the actual string value when specifying, creating or defining
// dialog box templates.
//*****************************************************************************

#define WC_MVPC 	 "MVPC"
#define WC_MVWN 	 "MVWN"


//*****************************************************************************
// DEFINES for MPREFIX structure:
//*****************************************************************************

// Field: wMType -------------------------------------------------------------
#define MTYPE_MVPC	      1        // Videodisc Player Control
#define MTYPE_MVWN	      2        // Video Window

// Field: offMCommand ---------------------------------------------------------
#define MPREFIX_OFFMCOMMAND   sizeof (MPREFIX)

// Field: offMData ------------------------------------------------------------
#define MPREFIX_OFFMDATA      (sizeof (MPREFIX) + sizeof (MCOMMAND))


//*****************************************************************************
// DEFINES for MCOMMAND structure:
//*****************************************************************************

// Field: wAck ----------------------------------------------------------------
#define MACK_NOTPROCESSEDYET	    0
#define MACK_CMDACCEPTED	    1
#define MACK_CMDNOTACCEPTED	    2

// Field: wResponse -----------------------------------------------------------
#define MRESP_NOTPROCESSEDYET	    0
#define MRESP_NORESPONSEPENDING     1
#define MRESP_RESPONSEPENDING	    2

//*****************************************************************************
// END OF FILE
//*****************************************************************************
