
//*****************************************************************************
// (C) Copyright IBM Corporation 1989,1992
//
// MODULE:  MType.h           (Multimedia Typedefs)
// VERSION: 1.00
//
// DESCRIPTION:
//
//    This module contains Typedefs for structures that are shared by
//    Multimedia classes, including the Multimedia Video Window (MVWN) and the
//    Multimedia Videodisc Player Control (MVPC).
//
//    This header file is imbedded by MVPC.H or MVWN.H.  It is used
//    by toolkit developers that are including the multimedia classes MVWN and
//    MVPC in their applications.
//
//    The following structures are Typedef'ed:
//
//       MPREFIX    -- The Multimedia Prefix structure
//       MCOMMAND   -- The Multimedia Command structure
//
//*****************************************************************************

//*****************************************************************************
// GENERAL TYPEDEFS
//*****************************************************************************

//*****************************************************************************
typedef struct _MPREFIX          // MultiMedia Prefix Structure
   {
   ULONG    cbData;              // Length of the Specific command structure
   USHORT   usMType;             // MTYPE_MVSB, MTYPE_MVWN, ...
   USHORT   offMCommand;         // RESERVED: MPREFIX_OFFMCOMMAND
   USHORT   offMData;            // RESERVED: MPREFIX_OFFMDATA
   USHORT   offMReserved;        // RESERVED
   USHORT   Reserved;            // RESERVED
   } MPREFIX;

typedef MPREFIX FAR *PMPREFIX;


//*****************************************************************************
typedef struct _MCOMMAND        // MultiMedia Command Structure
   {
   USHORT   usCommand;           // MultiMedia Command to be performed
   PVOID    pAppData;            // Pointer to the caller's special data area
   BOOL     fAppUse;             // For use by the Application.

   USHORT   usAck;               // Ack Notification Codes (ie. MACK_*)
   USHORT   usResponse;          // Response Notification Codes (ie. MRESP_*)
   USHORT   usReturnCode;        // Return Code (ie. M???_ERR_*)
   } MCOMMAND;

typedef MCOMMAND FAR *PMCOMMAND;


//*****************************************************************************
// END OF FILE
//*****************************************************************************
