// Public WINDOWS header
//*****************************************************************************
// (C) Copyright IBM Corporation 1989,1990, 1992
//
// MODULE:  MTYPEWIN.H		 (Multimedia Typedefs)
// VERSION: 1.00
//
// DESCRIPTION:
//
//    This module contains Typedefs for structures that are shared by
//    Multimedia classes, including the Multimedia Video Window (MVWN) and the
//    Multimedia Videodisc Player Control (MVPC).
//
//    This header file is imbedded by MVPCWIN.H or MVWNWIN.H.  It is used
//    by toolkit developers that are including the multimedia classes MVWN and
//    MVPC in their applications.
//
//    The following structures are Typedef'ed:
//
//	 MPREFIX    -- The Multimedia Prefix structure
//	 MCOMMAND   -- The Multimedia Command structure
//
//*****************************************************************************

//*****************************************************************************
// GENERAL TYPEDEFS
//*****************************************************************************

//*****************************************************************************
typedef struct _MPREFIX 	 // MultiMedia Prefix Structure
   {
   DWORD    wData;		 // Length of the Specific command structure
   WORD     wMType;		 // MTYPE_MVSB, MTYPE_MVWN, ...
   WORD     offMCommand;	 // RESERVED: MPREFIX_OFFMCOMMAND
   WORD     offMData;		 // RESERVED: MPREFIX_OFFMDATA
   WORD     offMReserved;	 // RESERVED
   WORD     Reserved;		 // RESERVED
   } MPREFIX;

typedef MPREFIX FAR *LPMPREFIX;


//*****************************************************************************
typedef struct _MCOMMAND	 // MultiMedia Command Structure
   {
   WORD     wCommand;		 // MultiMedia Command to be performed
   LPVOID   lpAppData;		 // Pointer to the caller's special data area
   BOOL     bAppUse;		 // For use by the Application.

   WORD     wAck;		 // Ack Notification Codes (ie. MACK_*)
   WORD     wResponse;		 // Response Notification Codes (ie. MRESP_*)
   WORD     wReturnCode;	 // Return Code (ie. M???_ERR_*)
   } MCOMMAND;

typedef MCOMMAND FAR *LPMCOMMAND;

typedef HANDLE HPOINTER;
//*****************************************************************************
// END OF FILE
//*****************************************************************************
