
//*****************************************************************************
// (C) Copyright IBM Corporation 1989,1992
//
// MODULE:  MVPCExpt.h        (Multimedia Videodisc Player Exported Functions)
// VERSION: 1.00
//
// DESCRIPTION:
//
//    This module contains prototypes for those functions exported by the
//    Multimedia Videodisc Player Control (MVPC) Dynamic Link Library (DLL)
//    for the application developer's use.
//
//    This header file is imbedded by MVPC.H.  It is used by toolkit
//    developers that are including the Multimedia Videodisc Player Control
//    object in their applications.
//
//*****************************************************************************

//*****************************************************************************
// EXPORTED FUNCTION PROTOTYPES
//*****************************************************************************

BOOL   EXPENTRY MVPCInitialize (HAB hab, PUSHORT pmsgCOMMAND,
                                         PUSHORT pmsgQUERY,
                                         USHORT  msgACK,
                                         USHORT  msgRESPONSE,
                                         USHORT  msgADVISE,
                                         PSZ     szUIDLLName);

VOID   EXPENTRY MVPCTerminate (HAB hab);

BOOL   EXPENTRY MVPCCreateCtl  (PMVPCCTL FAR *ppmvpcctl);
VOID   EXPENTRY MVPCDestroyCtl (PMVPCCTL pmvpcctl);

BOOL   EXPENTRY MVPCCreateCmd  (PMVPCCMD FAR *ppmvpccmd, USHORT usCommand);
VOID   EXPENTRY MVPCDestroyCmd (PMVPCCMD pmvpccmd, HWND hwnd, USHORT msg);

BOOL   EXPENTRY MVPCCreateQry  (PMVPCQRY FAR *ppmvpcqry, USHORT usQuery);
VOID   EXPENTRY MVPCDestroyQry (PMVPCQRY pmvpcqry);

VOID   EXPENTRY MVPCDestroyAdv (PMVPCADV pmvpcadv);

USHORT EXPENTRY MVPCGetVersion (PUSHORT pusVersion);

BOOL   EXPENTRY MVPCSetUserPtr   (HWND hwnd, PVOID pUserPtr);
PVOID  EXPENTRY MVPCQueryUserPtr (HWND hwnd);

BOOL   EXPENTRY MVPCCreateAdv  (PMVPCADV FAR *ppmvpcadv, USHORT usAdvise, USHORT usPlayer, HWND hwndRecipient);

ULONG  EXPENTRY MVPCUserRangeToFrame (HWND hwnd, USHORT usLow, USHORT usHigh, USHORT posControl);
BOOL   EXPENTRY MVPCPlayerExists (BOOL usPlayer, PSZ pszNameBuffer);


//*****************************************************************************
// END OF FILE
//*****************************************************************************
