
//*****************************************************************************
// (C) Copyright IBM Corporation 1989,1992
//
// MODULE:  MVWNExpt.h        (Multimedia Video Window Exported Functions)
// VERSION: 1.00
//
// DESCRIPTION:
//
//    This module contains prototypes for those functions exported by the
//    Multimedia Video Window (MVWN) Dynamic Link Library (DLL)
//    for the application developer's use.
//
//    This header file is imbedded by MVWN.H.  It is used by toolkit
//    developers that are including the Multimedia Video Window
//    object in their applications.
//
//
//*****************************************************************************

//*****************************************************************************
// EXPORTED FUNCTION PROTOTYPES
//*****************************************************************************

BOOL   EXPENTRY MVWNInitialize (HAB hab, PUSHORT pmsgMVWN_COMMAND,
                                         PUSHORT pmsgMVWN_QUERY,
                                         USHORT  msgMVWN_ACK,
                                         USHORT  msgMVWN_RESPONSE,
                                         USHORT  msgMVWN_ADVISE);

VOID   EXPENTRY MVWNTerminate (HAB hab);

BOOL   EXPENTRY MVWNCreateCtl  (PMVWNCTL FAR *ppmvwnctl);
VOID   EXPENTRY MVWNDestroyCtl (PMVWNCTL pmvwnctl);

BOOL   EXPENTRY MVWNCreateCmd  (PMVWNCMD FAR *ppmvwncmd, USHORT usCommand);
VOID   EXPENTRY MVWNDestroyCmd (PMVWNCMD pmvwncmd, HWND hwnd, USHORT msg);

BOOL   EXPENTRY MVWNCreateQry  (PMVWNQRY FAR *ppmvwnqry, USHORT usQuery);
VOID   EXPENTRY MVWNDestroyQry (PMVWNQRY pmvwnqry);

VOID   EXPENTRY MVWNDestroyAdv (PMVWNADV pmvwnadv);

USHORT EXPENTRY MVWNGetVersion (PUSHORT pusVersion);

BOOL   EXPENTRY MVWNSetUserPtr   (HWND hwnd, PVOID pUserPtr);
PVOID  EXPENTRY MVWNQueryUserPtr (HWND hwnd);

USHORT EXPENTRY MVWNVideoSourceType (USHORT usVideoSource);

VOID   EXPENTRY MVWNRefreshVideo ( HWND );

//*****************************************************************************
// END OF FILE
//*****************************************************************************
