//***********************************************************************
// (C) Copyright IBM Corporation 1989,1992
//
// Program: BROWDEFS.H
// Version: 1.0
//
// Purpose: Global Definitions used in BROWSER.EXE Modules
//          Before including this file, BROWSER.C defines:
//                 #define EXTERN
//          All other modules define:
//                 #define EXTERN extern
//          This creates one instance of data ( in BROWSER.C ) and allows
//          all other modules to have references to the data.
//***********************************************************************

//***********************************************************************
// Defines and Includes
//***********************************************************************

#include <MVPC.H>            // Videodisc control include
#include <VSB.H>             // Sample Videodisc Scroll Bar UI DLL
#include <MVWN.H>            // Video window include

#include "BROWSER.H"         // This program's special defines etc.


//***********************************************************************
// Function Prototypes
//***********************************************************************

MRESULT EXPENTRY AudioAttributesProc (HWND, USHORT, MPARAM, MPARAM );
MRESULT EXPENTRY ClientWndProc( HWND, USHORT, MPARAM, MPARAM );
MRESULT EXPENTRY EditRangeDlgProc( HWND, USHORT , MPARAM , MPARAM );
MRESULT EXPENTRY FrameRangeDlgProc( HWND, USHORT , MPARAM , MPARAM );
MRESULT EXPENTRY ImageDlgProc( HWND, USHORT , MPARAM , MPARAM );
MRESULT EXPENTRY LoadRangeDlgProc( HWND, USHORT , MPARAM , MPARAM) ;
MRESULT EXPENTRY MVPCResponseWndProc( HWND, USHORT, MPARAM, MPARAM );
MRESULT EXPENTRY MVPCAdviseWndProc( HWND, USHORT, MPARAM, MPARAM );
MRESULT EXPENTRY MVWNResponseWndProc( HWND, USHORT, MPARAM, MPARAM );
MRESULT EXPENTRY MyHelpProc( HWND, USHORT, MPARAM, MPARAM );
MRESULT EXPENTRY OpenProfileDlgProc( HWND, USHORT , MPARAM , MPARAM );
MRESULT EXPENTRY ProfileDlgProc( HWND, USHORT , MPARAM , MPARAM );
MRESULT EXPENTRY SaveImageDlgProc( HWND, USHORT , MPARAM , MPARAM );
MRESULT EXPENTRY SaveRangeDlgProc( HWND, USHORT , MPARAM , MPARAM );
MRESULT EXPENTRY VideoAttributesProc( HWND, USHORT, MPARAM, MPARAM );

VOID EditRange( HWND, PSZ );
VOID HandleBecomingActive( VOID );
VOID HelpInit( void );
BOOL MVPCCommand( USHORT, MPARAM, MPARAM, MPARAM );
BOOL MVWNCommand( USHORT, MPARAM, MPARAM );
VOID SetBoxPosition( HWND, SHORT );
VOID ShowMessage( HWND, USHORT, USHORT );

BOOL cdecl BitMapToClipboard( SHORT );

VOID   ClearTryCount (HWND hwnd);
USHORT GetTryCount (HWND hwnd);
VOID   IncTryCount (HWND hwnd);

//***********************************************************************
// Structures
//***********************************************************************

typedef struct _TWOLONGS
   {
    LONG     posFrom;               // Lower Frame Bound
    LONG     posTo;                 // Upper Frame Bound
    CHAR     Desc[80];              // Description
    } TWOLONGS;


//***********************************************************************
// Uninitialized Global Variables
//***********************************************************************

EXTERN HAB    hab;                  // Anchor Block
EXTERN HMQ    hmq;                  // Message Queue
EXTERN QMSG   qmsg;                 // Message Structure
EXTERN HINI   hini;                 // Handle to Application Profile

EXTERN USHORT mvpcCommandMsg;       // Videodisc control message IDs
EXTERN USHORT mvpcQueryMsg;         //    Assigned by the MVPCInitialize call

EXTERN USHORT mvwnCommandMsg;       // Video window message IDs
EXTERN USHORT mvwnQueryMsg;         //    Assigned by the MVWNInitialize call

EXTERN SHORT  scrollbarheight;      // Videodisc Scroll Bar Height

EXTERN PCHAR  pKeyName;             //
EXTERN PCHAR  pKeyStart;            //

EXTERN HWND hwndAudioAttributes;    // Audio Attributes Dialog
EXTERN HWND hwndClient;             // Client Area
EXTERN HWND hwndFrame;              // Standard Application Frame Window
EXTERN HWND hwndHelpInstance;       // Handle to Help Window
EXTERN HWND hwndMenu;               // Frame Window's Menu Window Handle
EXTERN HWND hwndMVPC;               // Current (top) Videodisc Control
EXTERN HWND hwndMVPCAdvise;         // Advise proc for Videodisc Control Msgs
EXTERN HWND hwndMVPCs[MAX_PLAYERS]; // HWNDs for the 3 possible Vdisc Controls
EXTERN HWND hwndMVPCResponse;       // Response proc for Videodisc Control Msgs
EXTERN HWND hwndMVWNResponse;       // Response proc for Video Window Messages
EXTERN HWND hwndPopUpMenu;          // Pop Up Menu
EXTERN HWND hwndRestoreImage;       // Restore Video Image ( from Disk ) Dialog
EXTERN HWND hwndVideoAttributes;    // Video Attributes Dialog
EXTERN HWND hwndVideoWindow;        // Video Window

                                       // Profile Name:
EXTERN CHAR  szProfileName [12];       //         With the Extension
EXTERN CHAR  szShortProfileName[9];    //         Without the Extension

EXTERN PMVPCQRY pmvpcqry;
EXTERN PMVWNQRY pmvwnqry;

                                       // Current Frame Range:
EXTERN LONG  fromFrame;                //         From Frame Number
EXTERN LONG  toFrame;                  //         To Frame Number

EXTERN USHORT usVideoSource;           // Current Video Source ( 1, 2, or 3 )
EXTERN BOOL   fTiePlayersToSources;    // Whether to Switch Sources When
                                       //         Switch players and Vice Versa

EXTERN USHORT ausTryCount[MAX_PLAYERS];// Array of Retry values for players

