//***********************************************************************
// (C) Copyright IBM Corporation 1989,1992
//
// Module:  BROWSER.H
// Version: 1.00
//
// Purpose: Simple videodisc browser utility demonstrating programming
//          concepts of the Multimedia Toolkit for OS/2 PM
//***********************************************************************

//***********************************************************************
// Defines
//***********************************************************************

#define MVPC_ACK           WM_USER + 100
#define MVPC_RESPONSE      MVPC_ACK + 1
#define MVPC_ADVISE        MVPC_ACK + 2

#define MVWN_ACK           WM_USER + 200
#define MVWN_RESPONSE      MVWN_ACK + 1
#define MVWN_ADVISE        MVWN_ACK + 2

#define MAX_VIDEOSOURCES   3     // 3 video sources possible
#define MAX_PLAYERS        3
#define MAX_RETRIES       64     // Maximum number of player recovery attempts

#define CHANNEL1           1     // useful videodisc player audio defines
#define CHANNEL2           2
#define BOTHCHANNELS       3
#define NOAUDIO            0

#define BMClp_START        0
#define BMClp_DONE         1

#define BOTTOM             0     // Used When Calling SetBoxPosition()
#define TOP                1

#define STRBUFLEN          40

#define BUFFSIZE           32    // Max Size of a Range Name

#define MAX_LEN_UIDLLNAME        30
#define MAX_LEN_LOADSTRING       255
#define OPTION_DELIMITER         '/'


//***********************************************************************
// Defines for BROWSER.RC
//***********************************************************************

#define ID_BITMAP                   4
#define ID_MAINWND                  5
#define ID_POPUPMENU                6

// Dialog ID's

#define DLG_SETFRAMERANGE          257
#define DLG_SAVEFRAMERANGE         258
#define DLG_LOADFRAMERANGE         259
#define DLG_NEWPROFILE             260
#define DLG_OPENPROFILE            261
#define DLG_EDITRANGE              262
#define DLG_PROFILENAME            263
#define DLG_VIDEO                  264
#define DLG_AUDIO                  265
#define DLG_LOADIMAGE              266
#define DLG_SAVEIMAGE              267

#define ID_ACTIVE1                  10
#define ID_BUSY1                    11
#define ID_ACTIVE2                  20
#define ID_BUSY2                    21
#define ID_ACTIVE3                  30
#define ID_BUSY3                    31

#define ID_VIDEO1                   41
#define ID_VIDEO2                   42
#define ID_VIDEO3                   43


// ID's For Main Menu Items

#define ID_FILE                     12
#define ID_MVPC                     13
#define ID_MVWN                     14

// ID's For Menu Items in "FILE" Option

#define MI_NEWPROFILE               29
#define FIRST_FILEITEM              MI_NEWPROFILE
#define MI_OPENPROFILE              30
#define MI_RANGELOAD                31
#define MI_RANGESAVE                32
#define MI_RANGEDIT                 33
#define LAST_FILEITEM               MI_RANGEDIT
#define MI_VIDEOIMAGE               34

// ID's For Menu Items in "Videodisc" Option

#define MI_FRAMERANGE               40
#define FIRST_VCONTROLITEM          MI_FRAMERANGE
#define MI_INFODISPLAY              41
#define MI_AUDIOCHANNELS            42
#define MI_NOAUDIO                  43
#define MI_AUDIO1                   44
#define MI_AUDIO2                   45
#define MI_BOTH                     46
#define MI_SPEED                    47
#define MI_SPEEDSLOW                48
#define MI_SPEEDNORMAL              49
#define MI_SPEEDFAST                50
#define MI_LOAD                     51
#define MI_UNLOAD                   52
#define MI_PLAYER                   53
#define MI_PLAYER1                  54
#define MI_PLAYER2                  55
#define MI_PLAYER3                  56
#define MI_TIE                      57
#define MI_QUERY                    58
#define MI_QUERYFRAME               59
#define MI_QUERYRANGE               60
#define MI_SCROLLBAR                61
#define LAST_VCONTROLITEM           MI_SCROLLBAR

// ID's For Menu Items in "Video Window" Option

#define MI_EFFECTS                  70
#define MI_SCALING_ON               71
#define MI_SCALING_OFF              72
#define MI_BLACKWHITE               73
#define MI_COLOR                    74
#define MI_VIDEOSOURCE              75
#define MI_VS1                      76
#define MI_VS2                      77
#define MI_VS3                      78
#define MI_FREEZE                   79
#define MI_UNFREEZE                 80
#define MI_BITMAP                   81
#define MI_INACTIVESTYLE            82
#define MI_INACTIVEBITMAP           83
#define MI_INACTIVEIMAGE            84
#define MI_INACTIVECOLOR            85
#define MI_SETATTRIBUTES            86
#define MI_SETAUDIO                 87
#define MI_WINDOWSIZE               88
#define MI_FULLSCREEN               89
#define MI_IDEALSIZE                90
#define MI_4THSCREEN                91
#define MI_SCANMODE                 92
#define MI_PROGRESSIVE              93
#define MI_DOUBLING                 94
#define MI_SINGLEFIELDSCAN          95
#define MI_SHOWLOG                  96
#define MI_HIDELOG                  97

// ID's Used for "Help"

#define IDM_HELP                    100
#define IDM_HELP_FOR_HELP           270

// ID's For Items in "Edit Frame Range" Dialog

#define ID_DELETE                   401
#define ID_ADD                      402
#define ID_SAVE                     403
#define ID_CANCEL                   404
#define ID_CHANGE                   405
#define ID_DESCRIPTION              406
#define ID_SHOWALL                  407
#define ID_LOAD                     408


#define ID_FROMFRAME                409
#define ID_TOFRAME                  410
#define ID_SETFRAMERANGE            411
#define ID_CURRENTRANGE             412

#define ID_KEYWORD                  455
#define ID_SAVEKEYWORD              454

#define ID_LOADLISTBOX              256

#define ID_SETATTRIBUTES            256

#define ID_OPENPROFILE              357
#define ID_PROFILENAME              356

#define ID_NOMMINIT                 302
#define ID_EDITRANGETEXT            303
#define ID_WINDOWTEXT               304
#define ID_CLIENTCLASS              306
#define ID_MVWNRESPONSECLASS        307
#define ID_MVPCRESPONSECLASS        308
#define ID_APPLICATIONNAME          309
#define ID_TIE                      310
#define ID_UNTIE                    311
#define ID_SHOW                     312
#define ID_HIDE                     313
#define ID_MVPCADVISECLASS          314
#define ID_SLIDERNUMBERS            315
#define ID_DEFAULTDLL               316
#define ID_FRAMEON                  317
#define ID_FRAMEOFF                 318

#define ID_ENTRYERROR               320
#define ID_INVALIDFRAMERANGE        321
#define ID_PROFILECREATIONERROR     322
#define ID_FILEERROR                323
#define ID_PROFILEOPENERROR         324

// ID's For Items in "Video Attributes" Dialog

#define ID_BRIGHTNESSTEXT           326
#define ID_CONTRASTTEXT             327
#define ID_COLORTEXT                328
#define ID_TINTTEXT                 329
#define ID_FORMATPERCENT            0x211
#define ID_ATTRIBUTETITLE           330

// ID's For Items in "Audio Attributes" Dialog

#define ID_VOLUMETEXT               332
#define ID_BALANCETEXT              333
#define ID_FADETEXT                 334
#define ID_TREBLETEXT               335
#define ID_BASSTEXT                 336
#define ID_MUTETEXT                 337
#define ID_AUDIOTITLE               338

// ID's For Error Message Strings

#define ID_BLANKNAME                340
#define ID_RANGENAME                341
#define ID_DELETEENTRY              342
#define ID_CANTADD                  343
#define ID_ALREADYEXISTS            344
#define ID_CANTCHANGE               345
#define ID_DOESNTEXIST              346
#define ID_IMAGENAME                347
#define ID_HELPNOTAVAILABLE         348
#define ID_HELPCREATERROR           349
#define ID_HELPTERMINATED           350
#define ID_HELPERROR                351
#define ID_HELPF1                   352
#define ID_ACKERROR                 353
#define ID_ADVISERROR               354
#define ID_SIZERROR                 355
#define ID_SIZEMATCH                356
#define ID_CURRANGE                 357
#define ID_TOKENFAILED              358


//***********************************************************************
// END OF FILE
//***********************************************************************
