:userdoc.
:title.Help for Browser Sample Program
:body.


:h1 res=270. Help for Browser Help
:p.Use these choices to find out how to use help, to
get extended help, to go to a list of keys, or to go to the
help index.
:dl tsize=5 break=all.
:dt.:hp2.Help for help:ehp2.
:dd.Provides detailed information on the kinds of help
available and how to use help.
:dt.:hp2.Extended help:ehp2.
:dd.Displays general help.
:dt.:hp2.Keys help:ehp2.
:dd.Displays a list of keys.
:dt.:hp2.Help index:ehp2.
:dd.Displays the help index.
:edl.

:h1 res=271. Help for Extended Help
:p.Use this choice to obtain general information on the
tasks you can perform while you are viewing a help window.


:h1 res=272. Help for Help Index
:p.Use this choice to display the help index.
:p.The help index lists the titles of the help
information that is available.


:h1 res=273. Help for Keys
:p.Use this choice to see a list of keys and a description
of the function of the keys.


:h1 res=274. Help for Help
:p.Use this choice to obtain information on how to
use the Help facility.


:h1 res=275.Help for Key Assignments
:p.The list of keys is arranged in groups.

:p.:hp2.BROWSER VIDEO WINDOW KEYS:ehp2.
   :dl tsize=5 break=all.
   :dt.Ctrl+f
   :dd.Freeze Video Image
   :dt.Ctrl+t
   :dd.Thaw Video Image
   :edl.

:p.:hp2.HELP KEYS:ehp2.
   :dl tsize=5 break=all.
   :dt.F1
   :dd.Get help
   :dt.F2
   :dd.Get extended help (from within any help window)
   :dt.Alt+F4
   :dd.End help
   :dt.F9
   :dd.Go to a list of keys (from within any help window)
   :dt.F11
   :dd.Go to the help index (from within any help window)
   :dt.Esc
   :dd.Previous Help Panel, or End help if only one panel
   :dt.Alt+F6
   :dd.Go to/from help and programs
   :dt.Shift+F10
   :dd.Get help for help
   :edl.

:p.:hp2.SYSTEM KEYS:ehp2.
   :dl tsize=5 break=all.
   :dt.Alt+F6
   :dd.Switch to the next windowed program
   :dt.Alt+Esc
   :dd.Switch to the next program, including full-screen programs
   :dt.Ctrl+Esc
   :dd.Switch to the Task List
   :edl.

:p.:hp2.WINDOW KEYS:ehp2.
   :dl tsize=5 break=all.
   :dt.F3
   :dd.Close a window
   :dt.F10
   :dd.Go to/from the action bar
   :dt.Arrow keys
   :dd.Move among choices
   :dt.End
   :dd.Go to the last choice in a pull-down
   :dt.Esc
   :dd.Cancel a pull-down or the system menu
   :dt.Home
   :dd.Go to the first choice in a pull-down
   :dt.PgUp
   :dd.Scroll the contents of the window up one page
   :dt.PgDn
   :dd.Scroll the contents of the window down one page
   :dt.Underlined letter
   :dd.Move among the choices on the action bar and pull-downs
   :dt.Alt+F10
   :dd.Go to/from the action bar
   :dt.Alt+F4 or F3
   :dd.Close the window
   :dt.Alt+F5
   :dd.Restore the window
   :dt.Alt+F7
   :dd.Move the window
   :dt.Alt+F8
   :dd.Size the window
   :dt.Alt+F9
   :dd.Minimize the window
   :dt.Alt+F10
   :dd.Maximize the window
   :dt.Ctrl+PgDn or Shift+F8
   :dd.Scroll the contents of the window right one page
   :dt.Ctrl+PgUp or Shift+F7
   :dd.Scroll the contents of the window left one page
   :dt.Shift+Esc or Alt+Spacebar
   :dd.Go to/from the system menu
   :dt.Shift+Esc or Alt
   :dd.Go to/from the system menu of a text window
   :edl.


:h1 res=256. Extended Help for Browser
:p.Browser is a sample program demonstrating how to use the OS/2 Presentation
Manager Multimedia Toolkit.  The client area of the main frame window is
overlayed by an instance of the video window class, which provides the display
of live video.  At the bottom of this client area is a videodisc scrollbar.
The various menu options available under Videodisc and Video Window
allow you to exercise various functions of these classes.
:p.
:p.:hp2.SPECIAL "HOT" KEYS:ehp2.
:p.While in BROWSER you can toggle between full screen video and the current
size video window by double-clicking mouse button 1.
:p.You can get pull down menus in the video window by single clicking mouse
button 2.
:p.CTRL-f and CTRL-t will "freeze" and "thaw" the video window at any time.
This may be particularly useful when capturing video images.


:h1 res=1. Help for File
:p.The File option allows you to set a videodisc profile file, save frame ranges
into this file, and load a videodisc scrollbar with frame ranges stored in
the profile file.


:h1 res=12. Help for Load
:p.The Load option allows you to retrieve a previously saved videodisc frame
range.


:h1 res=13. Help for Save
:p.The Save option allows you to save a videodisc frame range.  The frame range
saved is the current frame range of the videodisc scrollbar.


:h1 res=14. Help for Video Image Processing
:p.This option allows you to process video images. BROWSER will only display
the files which can be displayed in the currnet size of the video window.
You can:
   :dl tsize=14 break=all.
   :dt.SAVE
   :dd.Save the current video image to a file.
   :dt.SHOW
   :dd.Display the disk file.
   :dt.SHOW ALL
   :dd.Show all the listed image files.
   :dt.DELETE
   :dd.Delete a file.
   :dt.QUIT
   :dd.Return to Browser.
   :edl.


:h1 res=15. Help for Set Frame Range
:p.Set frame range allows you to set the frame range for the current
videodisc scroll bar without having to retrieve the information from a
profile.


:h1 res=16. Help for Save Frame Range
:p.Save Frame Range lets you save the current frame range. You must supply
the name under which to save the range ( using the current open profile ).


:h1 res=17. Help for Load Frame Range
:p.This option allows you to load a previously save frame range. A profile
must be active ( open ) to use this option.


:h1 res=18. Help for New Profile
:p.The New option lets you create a new videodisc profile file.
This file will be used for subsequent Save, Loads, and Edit.


:h1 res=19. Help for Open Profile
:p.The Open option lets you specify the current videodisc profile file.
This file will be used for subsequent Saves, Loads, and Edit.


:h1 res=20. Help for Edit Frame Range
:p.The Edit Frame Range allows you to view and edit frame ranges.
:p.Single click mouse button 1 on an entry to view its contents.
You can modify the entry and CHANGE it or you can modify the name and
ADD it as a new entry. You can also DELETE entries. You will be prompted
for verification for all DELETE requests. The description field is for your
comments, to make the profile easier to maintain. BROWSER does not use this
field for any other purpose.
:p.You can load a frame range by double-clicking an entry or by selecting the
Load button. If you double-click an entry, the range will read from the file.
If you choose the Load button, the current values from the dialog box are used.


:h1 res=21. Help for Save Video Image
:p.The Video Image Save lets you name the file for saving the current video
image. An extension of ".VID" will be concatenated to the name. The
current working directory is assumed.
:p.Note that you can freeze and thaw the video using keys Ctrl-f and
Ctrl-t. This may be particularly useful if your video source is not a
videodisc player and you are trying to capture an exact frame.


:h1 res=2. Help for Videodisc Control
:p.The Videodisc option allows you to exercise various capabilities
of the videodisc scrollbar.


:h1 res=100. Set Frame Range
:p.The Set Frame Range option allows you to specify a new videodisc frame range.


:h1 res=101. Help for Frame Display On/Off
:p.The Frame Display On/Off options turns on ( or off ) the
videodisc information display.


:h1 res=102. Help for Audio
:p.The Audio 1 option sets videodisc audio to channel 1 only.
:p.The Audio 2 option sets videodisc audio to channel 2 only.
:p.The Both option sets videodisc audio to channels 1 and 2.
:p.The No Audio option turns off all videodisc audio.


:h1 res=103. Help for Speed
:p.The speed options allow you to set the videodisc play speed which will
take effect on the next play command ( it will not effect a play in progress ).
The speeds used are:
   :dl tsize=12 break=all.
   :dt.Slow
   :dd.50%
   :dt.Normal
   :dd.100%
   :dt.Fast
   :dd.300%
   :edl.


:h1 res=104. Help for Load/Unload
:p.The Load option loads (spins up) the videodisc player.
:p.The Unload option unloads the videodisc player, allowing you to change
videodiscs.


:h1 res=105. Help for Player
:p.The Player 1 option makes the videodisc scrollbar controlling player 1
the active scrollbar.
:p.The Player 2 option makes the videodisc scrollbar controlling player 2
the active scrollbar.
:p.The Player 3 option makes the videodisc scrollbar controlling player 3
the active scrollbar.


:h1 res=106. Help for Tie Sources
:p.Tying sources allows you to associate player 1 with video source 1,
player 2 with video source 2, and player 3 with video source 3.


:h1 res=107. Help for Query
:p.The Query Frame option displays the current videodisc frame number.
:p.The Query Range option displays the current videodisc scrollbar frame range.


:h1 res=108. Help for Show/Hide Scroll Bar
:p.This option ( available only when in full screen video ) allows you to
display or hide the video scroll bar.


:h1 res=3. Help for Video Window
:p.The Video Window option allows you to exercise several of the capabilities
of the video window class.


:h1 res=200. Help for Video Effects
:p.Video Effects allow you to:
   :ul COMPACT.
   :li.Switch between black and white and color video
   :li.Freeze or thaw the video image
   :li.Turn video scaling on/off
   :eul.


:h1 res=201. Help for Scaling Off
:p.The Scaling Off option turns off video scaling, so that what you see
displayed in the video window is the relative area of the video image
exposed by the video window.
:p.The Scaling On option turns on video scaling, so that the entire
video image is scaled into the video window.


:h1 res=202. Help for BlackWhite
:p.The BlackWhite option sets the video window to display in BlackWhite mode.


:h1 res=203. Help for Color
:p.The Color option sets the video window to display in color.


:h1 res=204. Help for Video Source
:p.Selecting Video Source 1 displays the video from video source 1.
:p.Selecting Video Source 2 displays the video from video source 2.
:p.Selecting Video Source 3 displays the video from video source 3.


:h1 res=205. Help for Freeze/Thaw
:p.You can "freeze" or "thaw" the video image. This can also be done using
the Ctrl-t and Ctrl-f keyboard accelerator keys.


:h1 res=206. Help for BitMap
:p.This options sends a bitmap of the current video image to the clipboard.


:h1 res=207. Help for Inactive Window Style
:p.This option determines what method will be used to refresh the inactive
BROWSER video window.
:p.:hp2.Inactive Mono Bitmap :ehp2.
:p.Replaces the video image with a 6 color bitmap that approximates the video.
:p.:hp2.Inactive Video Image :ehp2.
:p.Keeps the video image frozen.
:p.:hp2.Inactive Color Fill :ehp2.
:p.Fills the video window with the color black.


:h1 res=208. Help for Audio Attributes
:p.Use this choice to define M-Motion Audio.
:p.Setting Audio Controls allows you to:
   :ul COMPACT.
   :li.Set the Treble
   :li.Set the Bass
   :li.Set the Balance
   :li.Set the Volume
   :eul.


:h1 res=209. Help for Video Attributes
:p.Use this choice to define M-Motion Video Controls.
:p.Setting Video Controls allows you to:
   :ul COMPACT.
   :li.Set the Brightness
   :li.Set the Contrast
   :li.Set the Color
   :li.Set the Tint
   :eul.


:h1 res=210. Help for Window Sizes
:p.You can use this option to move quickly between various preferred video
window sizes.
:p.Full screen video fills the entire display with the video window.
You can go directly to full screen video by double-clicking mouse button
1 in any non-full screen video window. A double-click of mouse button 1
while in full screen video returns you to the previous size window.
When in full screen mode, you can get to the pop-up menus by clicking mouse
button 2.
:p.Ideal video window create an ideal sized video window. Ideal sized video
is when the displayed window has the same aspect ratio as the incoming video.
:p.1/4th Screen BROWSER creates a frame window which is exactly 1/4 the size of
the display. Using this size, you could fit exactly 4, non-overlapping
BROWSERs on the display.


:h1 res=211. Help for Video Scan Modes
:p.The option selects the video scan mode to use.

:p.:hp2.Progressive Scanning :ehp2.
:p.This is the highest resolution. It is good for images containing slow or
no movement or non-moving images that have been frozen. This will produce a
scalloping effect if the image contains fast motion or if a moving image is
frozen.

:p.:hp2.Scan Line Doubling :ehp2.
:p.This resolution is not as good as Progressive scanning, but moving images
will not produce the scalloping effect. Freezing a moving image, however, will
produce jitter since the 2 fields of video that make up a video frame will
show the displacement of the image during the 1/60th of a second between fields.
This displacement comes from the video source and is not caused by the video
adapter.

:p.:hp2.Single Field Scanning :ehp2.
:p.This method has less resolution than the others. However, it will eliminate
the jitter that otherwise appears when a moving image is frozen ( interfield
jitter). The video content of the image on the display is updated only once
per frame instead of the normal twice. As a result, fast motion may appear
slightly jerky, under some conditions, unless frozen.

:index.
:euserdoc.
