//************************************************************************
// (C) Copyright IBM Corporation 1989,1992
//
// Program: RANGE.C
// Version: 1.0
//
// Purpose: All procedures which deal with frame ranges
//***********************************************************************

//***********************************************************************
// Defines and Includes
//***********************************************************************

#define  INCL_WIN
#define  INCL_DOS

#include <os2.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define  EXTERN extern
#include "BROWDEFS.H"                    // This program's special defines etc.

static  VOID   AddItem( HWND );
static  VOID   LoadRange( HWND );

static  CHAR   DialogTitle[128];         // Title of Dialog Window
static  CHAR   szAppName[BUFFSIZE];      // Application Name


//***********************************************************************
// Func: EditRange()
//
// Parm: PSZ      pszDLLName;
//
// Desc: Edit Frame Ranges
//
//***********************************************************************

VOID EditRange( hwndOwner, ProfileName )
HWND hwndOwner;
PSZ  ProfileName;
{
  SEL   selKeyData;
  LONG  lDataLength;
                                               /******************************/
                                               /* Get and Save App. Name     */
                                               /******************************/

  WinLoadString( hab, NULL, ID_APPLICATIONNAME, BUFFSIZE, szAppName );
  WinLoadString( hab, NULL, ID_EDITRANGETEXT,   /* Get Dialog's Title Text   */
                 sizeof( DialogTitle ), DialogTitle );
  strcat( DialogTitle, ProfileName );           /* Add Profile Name to Title */
  DialogTitle[ strlen( DialogTitle ) - 4 ] = 0; /* Truncate .BRZ Extension   */

                                             /********************************/
                                             /* Open Profile & Get 1st Entry */
                                             /********************************/

  hini = PrfOpenProfile( hab, ProfileName );
  if ( hini )
    { if  ( !DosAllocSeg( 1000, &selKeyData, 0 ) )
         { pKeyStart = pKeyName = ( PCHAR ) ( MAKEP( selKeyData, 0 ) );
           memset( pKeyStart, 0, 1000 );
           lDataLength = 1000L;
           PrfQueryProfileData( hini, "Browser", NULL, pKeyName,
                                ( PLONG ) &lDataLength );
           WinDlgBox( HWND_DESKTOP, hwndOwner, EditRangeDlgProc,
                      NULL, DLG_EDITRANGE, NULL );
           DosFreeSeg( SELECTOROF( pKeyStart ) );
           }
      PrfCloseProfile( hini );
      }

  WinSetFocus( HWND_DESKTOP, hwndFrame );
  return;
  }


//***********************************************************************
// Func: EditRangeDlgProc
//
// Parm: HWND     hwnd;
//       USHORT   msg;
//       MPARAM   mp1;
//       MPARAM   mp2;
//
// Desc: The Dialog procedure for Editing Frame Ranges
//***********************************************************************

MRESULT EXPENTRY EditRangeDlgProc( HWND hwnd,  USHORT msg,
                                   MPARAM mp1, MPARAM mp2 )
{
        CHAR     szErrorTitle[BUFFSIZE];
 static CHAR     szBuffer[BUFFSIZE + 1];
 static USHORT   item = 0;                       /* Current Item Number      */
 static CHAR     ItemText[BUFFSIZE + 1];         /* Current Item Name        */
 static CHAR     ItemDescription[81];            /* Current Item Description */
 static MRESULT  TempItem;
        CHAR     TempBuffer[128];
        TWOLONGS FrameRange;
 static LONG     lDataSize = ( LONG ) sizeof( FrameRange );
        USHORT   Answer;

 switch (msg)
    {                               /*****************************************/
    case WM_INITDLG:                /* Initialize the list box with keywords */
       while ( TRUE )               /* of the previously saved frame ranges  */
            {                       /*****************************************/
              WinSendDlgItemMsg( hwnd, ID_LOADLISTBOX, LM_INSERTITEM,
                                 MPFROM2SHORT( LIT_SORTASCENDING, 0 ),
                                 MPFROMP( pKeyName ) );
                                            /*********************************/
              while ( * ( ++pKeyName ) ) ;  /* Keep advancing through the    */
              ++pKeyName;                   /*   buffer of keywords until we */
              if  ( !( *( pKeyName ) ) )    /*   find the next of the end    */
                   break;                   /*********************************/
              }
                                            /*********************************/
                                            /* Set Size of Each Entry Field  */
                                            /*********************************/
       WinSendDlgItemMsg( hwnd, ID_KEYWORD, EM_SETTEXTLIMIT,
                          MPFROM2SHORT( BUFFSIZE, 0 ), NULL );
       WinSendDlgItemMsg( hwnd, ID_FROMFRAME, EM_SETTEXTLIMIT,
                          MPFROM2SHORT( 6, 0 ), NULL );
       WinSendDlgItemMsg( hwnd, ID_TOFRAME, EM_SETTEXTLIMIT,
                          MPFROM2SHORT( 6, 0 ), NULL );
       WinSendDlgItemMsg( hwnd, ID_DESCRIPTION, EM_SETTEXTLIMIT,
                          MPFROM2SHORT( 80, 0 ), NULL );
                                            /*********************************/
                                            /* Select 1st Item and Set Focus */
                                            /*********************************/
       WinSendDlgItemMsg( hwnd, ID_LOADLISTBOX, LM_SELECTITEM,
                          MPFROMSHORT( 0 ), MPFROMSHORT( TRUE ) );

       WinSetWindowText( hwnd, DialogTitle );
       WinSetFocus( HWND_DESKTOP, hwnd );
       return( ( MRESULT ) 1 );
       break;

    case WM_CONTROL:
       switch ( SHORT1FROMMP( mp1 ) )
          {
          case ID_LOADLISTBOX:
             switch ( SHORT2FROMMP( mp1 ) )
                {
                case LN_SELECT:
                     item = (USHORT) WinSendDlgItemMsg( hwnd, ID_LOADLISTBOX,
                                                        LM_QUERYSELECTION,
                                                        MPFROM2SHORT( 0, 0 ),
                                                        ( MPARAM ) NULL );
                     WinSendDlgItemMsg( hwnd, ID_LOADLISTBOX, LM_QUERYITEMTEXT,
                                        MPFROM2SHORT( item, BUFFSIZE ),
                                        MPFROMP( ItemText ) );

                     memset( &FrameRange, 0, sizeof( FrameRange ) );
                     PrfQueryProfileData( hini, szAppName, ItemText,
                                          &FrameRange, ( PLONG ) &lDataSize );

                     WinSetDlgItemText( hwnd, ID_KEYWORD, ItemText );

                     sprintf( TempBuffer, "%ld", FrameRange.posFrom );
                     WinSetDlgItemText( hwnd, ID_FROMFRAME, TempBuffer );

                     sprintf( TempBuffer, "%ld", FrameRange.posTo );
                     WinSetDlgItemText( hwnd, ID_TOFRAME, TempBuffer );

                     strcpy( ItemDescription, FrameRange.Desc );
                     WinSetDlgItemText( hwnd, ID_DESCRIPTION,
                                        ItemDescription );
                     break;

                case LN_ENTER:
                     LoadRange( hwnd );
                     break;
                }
             break;
          }
       break;

    case WM_COMMAND:
       switch ( COMMANDMSG (&msg)->cmd )
          {
          case ID_LOAD:
               LoadRange( hwnd );
               return( 0L );

          case ID_DELETE:
               sprintf( TempBuffer, " %s\n %s", ItemText, ItemDescription );
               WinLoadString( hab, NULL, ID_DELETEENTRY,
                              BUFFSIZE, szErrorTitle );
               Answer = WinMessageBox( HWND_DESKTOP, hwnd, TempBuffer,
                                       szErrorTitle, 0,
                                       MB_ICONQUESTION | MB_YESNO | MB_APPLMODAL );
               if  ( Answer == MBID_NO )
                    return( 0L );

               PrfWriteProfileData( hini, szAppName, ItemText, 0L, 0L );
               WinSendDlgItemMsg( hwnd, ID_LOADLISTBOX, LM_DELETEITEM,
                                  MPFROMSHORT( item ), ( MPARAM ) 0L );
               if  ( item )
                    item--;
               WinSendDlgItemMsg( hwnd, ID_LOADLISTBOX, LM_SELECTITEM,
                                  MPFROMSHORT( item ), MPFROMSHORT( TRUE ) );
               WinSendDlgItemMsg( hwnd, ID_LOADLISTBOX, LM_QUERYITEMTEXT,
                                  MPFROM2SHORT( item, BUFFSIZE ),
                                  MPFROMP( ItemText ) );
               return( 0L );

          case ID_ADD:
               WinQueryDlgItemText( hwnd, ID_KEYWORD, BUFFSIZE, szBuffer );
               if  ( ( szBuffer[0] == 0 ) ||
                     ( szBuffer[0] == ' ' ) )
                  { ShowMessage( hwnd, ID_BLANKNAME, ID_RANGENAME );
                    return( 0L );
                    }

               TempItem = WinSendDlgItemMsg( hwnd, ID_LOADLISTBOX,
                                             LM_SEARCHSTRING,
                                             MPFROM2SHORT( LSS_CASESENSITIVE, LIT_FIRST ),
                                             MPFROMP( szBuffer ) );
               if  ( ( SHORT ) TempItem != LIT_NONE )
                    ShowMessage( hwnd, ID_ALREADYEXISTS, ID_CANTADD );
               else
                  { AddItem( hwnd );
                    WinSendDlgItemMsg( hwnd, ID_LOADLISTBOX, LM_INSERTITEM,
                                       MPFROM2SHORT( LIT_SORTASCENDING, 0 ),
                                       MPFROMP( szBuffer ) );
                    }
               return( 0L );

          case ID_CHANGE:
               WinQueryDlgItemText( hwnd, ID_KEYWORD, BUFFSIZE, szBuffer );
               TempItem = WinSendDlgItemMsg( hwnd, ID_LOADLISTBOX,
                                             LM_SEARCHSTRING,
                                             MPFROM2SHORT( LSS_CASESENSITIVE, LIT_FIRST ),
                                             MPFROMP( szBuffer ) );
               if  ( ( SHORT ) TempItem == LIT_NONE )
                    ShowMessage( hwnd, ID_DOESNTEXIST, ID_CANTCHANGE );
               else
                    AddItem( hwnd );
               return( 0L );

          case ID_CANCEL:
               WinDismissDlg( hwnd, TRUE );
               break;
          }
       break;
    }

 return( WinDefDlgProc( hwnd, msg, mp1, mp2 ) );
 }


//***********************************************************************
// Func: LoadRange()
//
// Parm: HWND    Edit Frame Range Dialog Box Window Handle
//
// Desc: Get the Current Values in the Edit Frame Range Dialog Box and
//       Load the Frame Range
//***********************************************************************

static VOID LoadRange( hwnd )
HWND  hwnd;
{
 LONG from;
 LONG to;
 CHAR szBuffer[BUFFSIZE + 1];

 WinQueryDlgItemText( hwnd, ID_FROMFRAME, BUFFSIZE, szBuffer );
 from = atol( szBuffer );
 WinQueryDlgItemText( hwnd, ID_TOFRAME, BUFFSIZE, szBuffer );
 to = atol( szBuffer );
 MVPCCommand( MVPC_CMD_SETFRAMERANGE,
              MPFROMLONG( from ),
              MPFROMLONG( to ),  NULL );
 return;
 }


//***********************************************************************
// Func: AddItem
//
// Parm: HWND     hwnd
//
// Desc: Update the File with the New Item
//***********************************************************************

static VOID AddItem( hwnd )
HWND hwnd;
{
 CHAR     szBuffer[BUFFSIZE + 1];
 TWOLONGS FrameRange;
 MRESULT  TempItem;
                                               /******************************/
                                               /* Get Values Entered         */
                                               /******************************/

 WinQueryDlgItemText( hwnd, ID_FROMFRAME, BUFFSIZE, szBuffer );
 FrameRange.posFrom = atol( szBuffer );
 WinQueryDlgItemText( hwnd, ID_TOFRAME, BUFFSIZE, szBuffer );
 FrameRange.posTo   = atol( szBuffer );
 WinQueryDlgItemText( hwnd, ID_DESCRIPTION, 80, FrameRange.Desc );
 WinQueryDlgItemText( hwnd, ID_KEYWORD, BUFFSIZE, szBuffer );

                                               /******************************/
                                               /* Update Profile             */
                                               /******************************/

 PrfWriteProfileData( hini, szAppName, szBuffer,
                      &FrameRange, ( LONG ) sizeof( FrameRange ) );

                                               /******************************/
                                               /* Make Sure Item is Selected */
                                               /******************************/

 TempItem = WinSendDlgItemMsg( hwnd, ID_LOADLISTBOX, LM_SEARCHSTRING,
                               MPFROM2SHORT( LSS_CASESENSITIVE, LIT_FIRST ),
                               MPFROMP( szBuffer ) );
 WinSendDlgItemMsg( hwnd, ID_LOADLISTBOX, LM_SELECTITEM,
                    MPFROMLONG( ( LONG ) TempItem ), MPFROMSHORT( TRUE ) );

 return;
 }


//***********************************************************************
// Func: FrameRangeDlgProc
//
// Parm: HWND     hwnd;
//       USHORT   msg;
//       MPARAM   mp1;
//       MPARAM   mp2;
//
// Desc: The Dialog procedure for letting the user set a new Videodisc
//       Frame Range.
//
//***********************************************************************

MRESULT EXPENTRY FrameRangeDlgProc (HWND hwnd, USHORT msg, MPARAM mp1, MPARAM mp2)
{
 static char szBuffer [7];

 switch (msg)
    {
    case WM_COMMAND:
       switch ( COMMANDMSG (&msg)->cmd )
          {
          case ID_SETFRAMERANGE:      // user wants to set new Frame Range

                // FIRST, get the values entered, and validate them
                // THEN, if valid, send the SETFRAMERANGE command to the
                // Videodisc Control

             WinQueryDlgItemText (hwnd, ID_FROMFRAME,
                                  sizeof (szBuffer), szBuffer);
             fromFrame = atol( szBuffer );

             WinQueryDlgItemText (hwnd, ID_TOFRAME,
                                  sizeof (szBuffer), szBuffer);
             toFrame = atol (szBuffer);

             if (  (fromFrame >= 1) && (fromFrame <= 54000 )
                && (toFrame   >= 1) && (toFrame   <= 54000 )
                && (fromFrame != toFrame))
                {
                MVPCCommand( MVPC_CMD_SETFRAMERANGE,
                             MPFROMLONG( fromFrame ),
                             MPFROMLONG( toFrame ),
                             NULL );

                WinDismissDlg( hwnd, TRUE );
                break;
                }
             else
                {
                ShowMessage( hwnd, ID_INVALIDFRAMERANGE, ID_ENTRYERROR );
                }
             break;

          case ID_CANCEL:
             WinDismissDlg( hwnd, TRUE );
             break;
          }
       break;
    }

 return( WinDefDlgProc( hwnd, msg, mp1, mp2 ) );
 }


//***********************************************************************
// Func: SaveRangeDlgProc
//
// Parm: HWND     hwnd;
//       USHORT   msg;
//       MPARAM   mp1;
//       MPARAM   mp2;
//
// Desc: The Dialog procedure for letting the user save the current
//       Videodisc Frame Range.  This frame range can be later retrieved
//       based on the keyword that the user supplies in this dialog
//
//***********************************************************************

MRESULT EXPENTRY SaveRangeDlgProc( HWND hwnd, USHORT msg, MPARAM mp1, MPARAM mp2 )
{
 static char     szRangeText[80];
 static char     szBuffer[BUFFSIZE];
 static char     szAppName[BUFFSIZE];
 static TWOLONGS ThisFrameRange;

 switch (msg)
    {
    case WM_INITDLG:
       WinSendMsg( hwndMVPC, mvpcQueryMsg, NULL, pmvpcqry );
       ThisFrameRange.posFrom = pmvpcqry->lLowerBound;
       ThisFrameRange.posTo   = pmvpcqry->lUpperBound;
       WinLoadString( hab, NULL, ID_CURRANGE, BUFFSIZE, szBuffer );
       sprintf( szRangeText, szBuffer,
                ThisFrameRange.posFrom, ThisFrameRange.posTo );
       WinSetDlgItemText( hwnd, ID_CURRENTRANGE, szRangeText );
       WinSendDlgItemMsg( hwnd, ID_KEYWORD, EM_SETTEXTLIMIT,
                          MPFROM2SHORT( BUFFSIZE - 1, 0 ), NULL );
       WinSendDlgItemMsg( hwnd, ID_DESCRIPTION, EM_SETTEXTLIMIT,
                          MPFROM2SHORT( 80, 0 ), NULL );
       break;

    case WM_COMMAND:
       switch ( COMMANDMSG (&msg)->cmd )
          {
          case ID_SAVEKEYWORD:

                // Read the keyword from the dialog box the save the
                //    data with this keyword in the current profile

             WinQueryDlgItemText( hwnd, ID_KEYWORD, BUFFSIZE, szBuffer );
             if  ( ( szBuffer[0] == 0 ) ||
                   ( szBuffer[0] == ' ' ) )
                { ShowMessage( hwnd, ID_BLANKNAME, ID_RANGENAME );
                  return( 0L );
                  }
             WinQueryDlgItemText( hwnd, ID_DESCRIPTION, 80, ThisFrameRange.Desc );
             WinLoadString( hab, NULL, ID_APPLICATIONNAME, BUFFSIZE, szAppName );
             PrfWriteProfileData( hini, szAppName, szBuffer, &ThisFrameRange,
                                  ( LONG ) sizeof( ThisFrameRange ) );

             // Fall through to dismiss the dialog

          case ID_CANCEL:
             WinDismissDlg( hwnd, TRUE );
             break;
          }
       break;
    }

 return( WinDefDlgProc( hwnd, msg, mp1, mp2 ) );
 }


//***********************************************************************
// Func: OpenProfileDlgProc
//
// Parm: HWND     hwnd;
//       USHORT   msg;
//       MPARAM   mp1;
//       MPARAM   mp2;
//
// Desc: The Dialog procedure that allows the user to open an existing
//       Videodisc profile file.  All frame ranges are stored and retrieved
//       from this file.
//
//***********************************************************************

MRESULT EXPENTRY OpenProfileDlgProc (HWND hwnd, USHORT msg, MPARAM mp1, MPARAM mp2)
{
 USHORT      usItem;
 SHORT       i;
 FILEFINDBUF findbuf;
 HDIR        hdir          = 0xffff;
 USHORT      usSearchCount = 1;

 switch (msg)
    {
    case WM_INITDLG:
       if ( !DosFindFirst2( "*.BRZ", &hdir, FILE_NORMAL,
                            ( PVOID ) &findbuf, sizeof( findbuf ),
                            &usSearchCount, FIL_STANDARD, 0L ) )
          {
          do
             {
             i = 1;
             while (findbuf.achName[i] != '.') i++; // strip extension
             findbuf.achName [i] = 0x0;
             WinSendDlgItemMsg (hwnd, 256, LM_INSERTITEM,
                                MPFROM2SHORT (LIT_SORTASCENDING, 0),
                                MPFROMP (findbuf.achName));
             } while (!DosFindNext (hdir, &findbuf, sizeof (findbuf), &usSearchCount));
          }

       WinSendDlgItemMsg( hwnd, ID_LOADLISTBOX, LM_SELECTITEM,
                          MPFROMSHORT( 0 ), MPFROMSHORT( TRUE ) );
       WinSetFocus (HWND_DESKTOP, hwnd);
       return  ((MRESULT) 1);
       break;

    case WM_CONTROL:
       switch (SHORT1FROMMP (mp1))
          {
          case ID_LOADLISTBOX:
             switch (SHORT2FROMMP (mp1))
                {
                case LN_ENTER:

                      // When user selects an item, get the keyword, query
                      //    the data for this keyword, then issue the
                      //    SETFRAMERANGE command to the videodisc control.

                   usItem = (USHORT) WinSendDlgItemMsg( hwnd, 256,
                                                        LM_QUERYSELECTION,
                                                        MPFROM2SHORT( 0, 0 ),
                                                        ( MPARAM ) NULL );
                   WinSendDlgItemMsg( hwnd, 256, LM_QUERYITEMTEXT,
                                      MPFROM2SHORT( usItem, sizeof( szShortProfileName ) ),
                                      MPFROMP( szShortProfileName ) );
                   strcpy( szProfileName, szShortProfileName );
                   strcat( szProfileName, ".BRZ" );
                   WinDismissDlg( hwnd, ID_OPENPROFILE );
                   break;
                }
             break;
          }
       break;

    case WM_COMMAND:
       switch ( COMMANDMSG (&msg)->cmd )
          {

          case ID_OPENPROFILE:
             usItem = ( USHORT ) WinSendDlgItemMsg( hwnd, 256,
                                                    LM_QUERYSELECTION,
                                                    MPFROM2SHORT( 0, 0 ),
                                                    ( MPARAM ) NULL );
             WinSendDlgItemMsg( hwnd, 256, LM_QUERYITEMTEXT,
                                MPFROM2SHORT( usItem, sizeof( szShortProfileName ) ),
                                MPFROMP( szShortProfileName ) );
             strcpy( szProfileName, szShortProfileName );
             strcat( szProfileName, ".BRZ" );
             WinDismissDlg( hwnd, ID_OPENPROFILE );
             break;

          case ID_CANCEL:
             WinDismissDlg( hwnd, COMMANDMSG(&msg)->cmd );
             break;
          }
       break;
    }

 return( WinDefDlgProc( hwnd, msg, mp1, mp2 ) );
 }


//***********************************************************************
// Func: ProfileDlgProc
//
// Parm: HWND     hwnd;
//       USHORT   msg;
//       MPARAM   mp1;
//       MPARAM   mp2;
//
// Desc: The Dialog procedure that allows the user to create and set a new
//       Videodisc profile file.  All frame ranges are stored and retrieved
//       from this file.
//
//***********************************************************************

MRESULT EXPENTRY ProfileDlgProc (HWND hwnd, USHORT msg, MPARAM mp1, MPARAM mp2)
{
 switch ( msg )
    {
    case WM_INITDLG:
       WinSendDlgItemMsg( hwnd, ID_PROFILENAME, EM_SETTEXTLIMIT,
                          MPFROM2SHORT( 8, 0 ), NULL );
       break;

    case WM_COMMAND:
       switch ( COMMANDMSG (&msg)->cmd )
          {
          case ID_OPENPROFILE:
             WinQueryDlgItemText( hwnd, ID_PROFILENAME,
                             sizeof (szShortProfileName), szShortProfileName );
             if  ( szShortProfileName[0] != ' ' )
                { strcpy( szProfileName, szShortProfileName );
                  strcat( szProfileName, ".BRZ" );
                  strupr( szShortProfileName );
                  strupr( szProfileName );
                  }
             else
                  szProfileName [0] = 0;

             // Fall through to dismiss the dialog

          case ID_CANCEL:
             WinDismissDlg( hwnd, COMMANDMSG(&msg)->cmd );
             break;
          }
       break;
    }

 return( WinDefDlgProc( hwnd, msg, mp1, mp2 ) );
 }


//***********************************************************************
// Func: LoadRangeDlgProc
//
// Parm: HWND     hwnd;
//       USHORT   msg;
//       MPARAM   mp1;
//       MPARAM   mp2;
//
// Desc: The Dialog procedure for letting the user select via keyword a saved
//       Videodisc Frame Range.  This frame range will be sent to the
//       videodisc control to remap the videodisc control frame range
//
//***********************************************************************

MRESULT EXPENTRY LoadRangeDlgProc (HWND hwnd, USHORT msg, MPARAM mp1, MPARAM mp2)
{
 static char szBuffer[BUFFSIZE];
 static char szAppName[BUFFSIZE];
 USHORT      item;
 TWOLONGS    ThisFrameRange;
 static LONG lDataSize = ( LONG ) sizeof (ThisFrameRange);

  switch (msg)
     {
     case WM_INITDLG:          // Initialize the list box with the keywords of
        while ( TRUE )         //            the previously saved frame ranges
             {
               WinSendDlgItemMsg( hwnd, ID_LOADLISTBOX, LM_INSERTITEM,
                                  MPFROM2SHORT( LIT_SORTASCENDING, 0 ),
                                  MPFROMP (pKeyName) );

               while ( *(++pKeyName) ) ;     // keep advancing through the
               ++pKeyName;                   // buffer of keywords until
               if  ( !( *(pKeyName) ) )
                    break;                   // we find the next of the end
               }

        WinSendDlgItemMsg( hwnd, ID_LOADLISTBOX, LM_SELECTITEM,
                           MPFROMSHORT( 0 ), MPFROMSHORT( TRUE ) );
        WinSetFocus( HWND_DESKTOP, hwnd );
        return( ( MRESULT ) 1 );
        break;

     case WM_CONTROL:
        switch ( SHORT1FROMMP( mp1 ) )
           {
           case ID_LOADLISTBOX:
              switch ( SHORT2FROMMP( mp1 ) )
                 {
                 case LN_ENTER:
                         // When user selects an item, get the keyword,
                         //    query the data for this keyword, then issue the
                         //    SETFRAMERANGE command to the videodisc control
                    item = ( USHORT ) WinSendDlgItemMsg( hwnd, ID_LOADLISTBOX,
                                                         LM_QUERYSELECTION,
                                                         MPFROM2SHORT( 0, 0 ),
                                                         ( MPARAM ) NULL );
                    WinSendDlgItemMsg( hwnd, ID_LOADLISTBOX, LM_QUERYITEMTEXT,
                                       MPFROM2SHORT( item, sizeof szBuffer ),
                                       MPFROMP( szBuffer ) );
                    WinLoadString( hab, NULL, ID_APPLICATIONNAME,
                                   sizeof( szAppName ), szAppName );
                    PrfQueryProfileData( hini, szAppName, szBuffer,
                                         &ThisFrameRange, (PLONG) &lDataSize );

                    fromFrame = ThisFrameRange.posFrom;
                    toFrame   = ThisFrameRange.posTo;
                    MVPCCommand( MVPC_CMD_SETFRAMERANGE,
                                 MPFROMLONG( fromFrame ),
                                 MPFROMLONG( toFrame ),
                                 NULL );

                    WinDismissDlg( hwnd, TRUE );
                    break;
                 }
              break;
           }
        break;

     case WM_COMMAND:
        switch ( COMMANDMSG (&msg)->cmd )
           {
           case DID_OK:
                // When user selects an item, get the keyword,
                //    query the data for this keyword, then issue the
                //    SETFRAMERANGE command to the videodisc control
                item = ( USHORT ) WinSendDlgItemMsg( hwnd, ID_LOADLISTBOX,
                                                     LM_QUERYSELECTION,
                                                     MPFROM2SHORT( 0, 0 ),
                                                     ( MPARAM ) NULL );
                WinSendDlgItemMsg( hwnd, ID_LOADLISTBOX, LM_QUERYITEMTEXT,
                                   MPFROM2SHORT( item, sizeof szBuffer ),
                                   MPFROMP( szBuffer ) );
                WinLoadString( hab, NULL, ID_APPLICATIONNAME,
                               sizeof( szAppName ), szAppName );
                PrfQueryProfileData( hini, szAppName, szBuffer,
                                     &ThisFrameRange, ( PLONG ) &lDataSize );
                fromFrame = ThisFrameRange.posFrom;
                toFrame   = ThisFrameRange.posTo;
                MVPCCommand( MVPC_CMD_SETFRAMERANGE,
                             MPFROMLONG( fromFrame ),
                             MPFROMLONG( toFrame ),
                             NULL );
                /**** Intentional Fall-Thru to Next Case ****/
           case ID_CANCEL:
                WinDismissDlg( hwnd, TRUE );
                break;
           }
        break;
     }

  return( WinDefDlgProc( hwnd, msg, mp1, mp2 ) );
  }


//***********************************************************************
// Func: ShowMessage()
//
// Parm: HWND     hwnd
//       USHORT   ID_Message    Resource ID of Message
//       USHORT   ID_Title      Resource ID of Title
//
// Desc: Show a Message Box
//***********************************************************************

VOID   ShowMessage( hwnd, ID_Message, ID_Title )
HWND   hwnd;
USHORT ID_Message;
USHORT ID_Title;
{
  CHAR  szErrorTitle[80];
  CHAR  szErrorString[128];

  DosBeep( 600, 90 );
  WinLoadString( hab, NULL, ID_Message,
                 80, szErrorString );
  WinLoadString( hab, NULL, ID_Title,
                 128, szErrorTitle );
  WinMessageBox( HWND_DESKTOP, hwnd, szErrorString,
                 szErrorTitle, 0, MB_ICONHAND );
  return;
  }
