
        PAGE        60,132
        TITLE       DLLINIT.ASM
        .MODEL      LARGE

;**********************************************************
;* (C) Copyright IBM Corporation 1989,1992
;*
;* File: DLLInit.asm                 Author: Daryl Warinner
;*
;* Desc: This module can be used with almost any DLL to
;*       provide the DLL with its module handle and a code
;*       entry point for processing when the DLL is loaded.
;*
;* Make: masm /Mx DLLINIT.ASM,,;
;*
;**********************************************************

;**********************************************************
;*      External Data and Functions
;**********************************************************

        extrn       DLLLoad:far

;**********************************************************
;*      DATA begins here
;**********************************************************

        .DATA
        PUBLIC      _hmodDLL

_hmodDLL     dw      0


;**********************************************************
;*      CODE begins here
;**********************************************************

        .CODE

;----------------------------------------------------------
; Func: DLLINIT                     Author: Daryl Warinner
;
; Desc: This function will be called when the DLL is first
;       loaded.  It performs the following operations:
;
;       1) It copies the HMODULE for this DLL into the
;          variable "hmodDLL".  Your "C" code should
;          contain:
;
;          extern USHORT hmodDLL;
;
;       2) It calls the function DLLLoad () in the DLL.
;          This function can be written in C and should
;          look like this:
;
;          int far pascal DLLLoad (void)
;
;          This function should return a NON-Zero number
;          if it was successful, otherwise it should
;          return 0.
;
;----------------------------------------------------------

DLLINIT proc        far

        mov         _hmodDLL, ax
        call        DLLLoad
        ret

DLLINIT endp

        END         DLLINIT

;**********************************************************
;*      END OF FILE
;**********************************************************
