#******************************************************************************
#  (C) Copyright IBM Corporation 1991
#
#  FILE:    VSB
#  VERSION: 1.00
#
#  DESCRIPTION:
#
#           This is the MAKE file for the VSB Dynamic Link Library and
#           Import Library.
#
#******************************************************************************

#******************************************************************************
#  "Make" Variables
#******************************************************************************

#******************************************************************************
#  VARIABLE Assignments
#******************************************************************************

P_DLL= D:\MMEDIA\OS2\DLLINIT

#------------------------------------------------------------------------------
# PATHs for HEADER FILES and LIBRARIES:
#------------------------------------------------------------------------------

P_H   = D:\MMEDIA\INCLUDE
P_LIB = D:\MMEDIA\LIB

#------------------------------------------------------------------------------
# DEPENDENT HEADERS, OBJECTS, and LIBRARIES:
#------------------------------------------------------------------------------

DEP_H   = $(P_H)\mtype.h  $(P_H)\mdefs.h  $(P_H)\mvpc.h                     \
          $(P_H)\mvpcdefs.h  $(P_H)\mvpctype.h  $(P_H)\mvpcexpt.h           \
          $(P_H)\vsb.h  vsb2.h  vsbdefs.h  vsbtype.h  vsbxtrn.h  vsblog.h

DEP_OBJ = $(P_DLL)\dllinit.obj vsbinit.obj vsbdata.obj vsbwp.obj  vsbwm.obj \
          vsbadv.obj  vsbcmd.obj  vsbqry.obj vsbfunc.obj vsblog.obj

DEP_LIB = $(P_LIB)\mvpc.lib

#------------------------------------------------------------------------------
# COMPILE ARGUMENTS:
#
# The following options are REQUIRED for DLLs (ref. C/2 Lang Ref 6-29):
#
#     -Alfu Specifies that all calls to other functions are FAR calls, all
#           data is FAR, and that the data segment register should be reloaded
#           at EVERY function invocation.  Data segment register reloading is
#           necessary for any module that contains a function that will be an
#           entry point for a DLL.
#
#     -FPa  Prevents FP ops in the DLL from interfering with FP ops that may
#           be underway in the calling program.  Must be specified for modules
#           that are to reside in a DLL and which use FP arithmetic.  Note
#           that programs that call this module may use ANY FP package.
#
#     -DDLL Assumes that the proper set of include files has been specified in
#           the previous option.  This option is necessary when the module to
#           be compiled is to be used by multi-threaded C programs.
#
#     (Also required for supporting multi-threaded C programs (p. 6-22)
#
#     -Gs   Disables stack checking that would otherwise interfere with the
#           automatic stack checking done by _beginthread ().
#
#  >>> NOTE: This is not a multi-thread DLL!
#  >>>       Neither is it for use by multi-threaded programs!
#
#------------------------------------------------------------------------------
CL_ARGS= -Alfu -c -FPa -DDLL -G2s -J -Zpi -Od -W3 -DDEBUG

#******************************************************************************
#  Inference Rules
#******************************************************************************

.c.obj:
   cl  $(CL_ARGS) $*.c                 >>vsb.msg

#******************************************************************************
#  "OBJ"'s -> "DLL", "LIB" Section
#******************************************************************************

vsb.dll : vsb.lnk vsb.def vsb.res $(DEP_OBJ) $(DEP_LIB)
          link @vsb.lnk                       >>vsb.msg
          rc vsb.res  d:\mmedia\dll\vsb.dll   >>vsb.msg
          implib d:\mmedia\lib\vsb.lib vsb.def

#******************************************************************************
#  "C" -> "OBJ" Section
#******************************************************************************

vsbinit.obj  : vsbinit.c  $(DEP_H)

vsbdata.obj  : vsbdata.c  $(DEP_H)

vsbwp.obj    : vsbwp.c    $(DEP_H)

vsbwm.obj    : vsbwm.c    $(DEP_H)

vsbadv.obj   : vsbadv.c   $(DEP_H)

vsbcmd.obj   : vsbcmd.c   $(DEP_H)

vsbqry.obj   : vsbqry.c   $(DEP_H)

vsbfunc.obj  : vsbfunc.c  $(DEP_H)

vsblog.obj   : vsblog.c   $(DEP_H)

#******************************************************************************
#  "RC" -> "RES" Section
#******************************************************************************
vsb.res : vsb.rc vsbdefs.h
   rc -r vsb.rc vsb.res  >>vsb.msg
