
//*****************************************************************************
// (C) Copyright IBM Corporation 1989,1992
//
// MODULE:  VSBType.h
// VERSION: 1.00
//
// DESCRIPTION:
//
//          This include file contains the TYPEDEFs used internally
//          by the Videodisc Scroll Bar (VSB) User Interface (UI).
//          This file is imbedded by VSB2.H.
//
//          TYPEDEFs used externally by applications including support
//          for the VSB UI may be found in VSB.H.
//
//*****************************************************************************

//*****************************************************************************
// VSBDATA = VSB window word structure
typedef struct _VSBDATA
   {
   USHORT   cbData;              // Size of this structure

   HWND     hwndOwner;           // The MVPC owner of this user interface
   PMVPCQRY pmvpcqry;            // -> Query structure for the MVPC object

   HWND     hwndScrollBar;       // The "real" scroll bar control
   BOOL     fInSliderTrack;      // TRUE - "real" scroll bar is tracking

   HWND     hwndAdviseUser;      // Hwnd to advise of user interaction
   USHORT   usPlayer;            // Videodisc player association

   LONG     lFromFrame;          // Frame range (from set frame range advises)
   LONG     lToFrame;            // Frame range
   LONG     lCurrentFrame;       // Current frame number
   HPOINTER hptrActive;          // Active pointer
   HPOINTER hptrBusy;            // Busy pointer

   PFNWP    pfnSBWndProc;        // Used to trap Double clicks
   BOOL     fLoaded;             // Loaded flag
   LONG     lBusyCount;          // Semaphore count for busy status
   USHORT   posSlider;           // Most recent SliderTrack position
   PLOGINFO pLogInfo;            // Used to store log information
   PVOID    pReserved [2];       // Reserved for future use
   } VSBDATA;

typedef VSBDATA FAR *PVSBDATA;


//*****************************************************************************
// END OF FILE
//*****************************************************************************
