
//*****************************************************************************
// (C) Copyright IBM Corporation 1989,1992
//
// MODULE:  VSBXtrn.h
// VERSION: 1.00
//
// DESCRIPTION:
//
//          This include file contains global variable definitions and
//          function prototypes for all NON-EXPORTed functions.  It also
//          contains prototypes for EXPORTed functions that are not
//          published for general knowledge (ie. VSBWndProc). This
//          file is used internally and is imbedded by VSB2.H.
//
//          Log Support definitions can be found in VSBLOG.H.
//
//          All other EXPORTed function prototypes may be found in the
//          VSB.H include file.
//
//*****************************************************************************

//*****************************************************************************
// External data declarations:
//*****************************************************************************

// Handle of this DLL's module:
extern USHORT  hmodDLL;             // DLLINIT.ASM: Filled in by DLLInit ()
                                    //              at load time.

extern USHORT  msgMVPC_COMMAND;
extern USHORT  msgMVPC_ACK;
extern USHORT  msgMVPC_RESP;
extern USHORT  msgMVPC_QUERY;
extern USHORT  msgMVPC_ADVISE;

extern USHORT  usMaxSBRange;


//*****************************************************************************
// Function Prototypes:
//*****************************************************************************

//--- VSBInit.c   -------------------------------------------------------------
// Exported: VSBInitialize ()
// Exported: VSBTerminate ()

//--- VSBWP.c   -------------------------------------------------------------
MRESULT EXPENTRY  VSBWndProc (HWND hwnd, USHORT msg, MPARAM mp1, MPARAM mp2);
MRESULT EXPENTRY  VSBSubclassWndProc (HWND hwnd, USHORT msg, MPARAM mp1, MPARAM mp2);

//--- VSBWM.c   -------------------------------------------------------------
MRESULT  ProcessCREATE         (HWND hwnd, MPARAM mp2);
MRESULT  ProcessDESTROY        (HWND hwnd, USHORT msg, MPARAM mp1, MPARAM mp2);
MRESULT  ProcessSIZE           (HWND hwnd, MPARAM mp2);
MRESULT  ProcessCONTROLPOINTER (HWND hwnd, MPARAM mp2);
MRESULT  ProcessHSCROLL        (HWND hwnd, MPARAM mp2);

//--- VSBAdv.c   -------------------------------------------------------------
MRESULT  ProcessADVISE (HWND hwnd, MPARAM mp1, MPARAM mp2);
VOID     AdviseUserInteraction (PVSBDATA pvsbdata, MPARAM mpAdvParam1,
                                                   MPARAM mpAdvParam2,
                                                   MPARAM mpAdvParam3);

//--- VSBCmd.c   -------------------------------------------------------------
MRESULT  ProcessCOMMAND (HWND hwnd, MPARAM mp2);
MRESULT  ProcessACK     (HWND hwnd, USHORT msg, MPARAM mp1, MPARAM mp2);
MRESULT  ProcessRESP    (HWND hwnd, USHORT msg, MPARAM mp1, MPARAM mp2);

BOOL     CmdGetToken   (HWND hwndMVPC, HWND hwndVSB);
BOOL     CmdPlayFromTo (HWND hwndMVPC, HWND hwndVSB, LONG lFrom, LONG lTo, BOOL fNoReMap);
BOOL     CmdSeek       (HWND hwndMVPC, HWND hwndVSB, LONG lFrame);
BOOL     CmdStep       (HWND hwndMVPC, HWND hwndVSB, USHORT usDirection);
BOOL     CmdStop       (HWND hwndMVPC, HWND hwndVSB);
BOOL     CmdInit       (HWND hwndMVPC, HWND hwndVSB);

//--- VSBQry.c   -------------------------------------------------------------
// Exported: VSBCreateQry ()
// Exported: VSBDestroyQry ()
MRESULT  ProcessQUERY (HWND hwnd, MPARAM mp2);

//--- VSBFunc.c   -------------------------------------------------------------
PVSBDATA CreateVSBDATA (VOID);
USHORT   PosSlider (LONG, LONG, LONG);
VOID     SetMaxSBRange (VOID);


//*****************************************************************************
// END OF FILE
//*****************************************************************************
