/*****************************************************************************/
/* (C) Copyright IBM Corporation 1991, 1992                                  */
/*                                                                           */
/* MODULE:  BROWDEFS.H                                                       */
/*                                                                           */
/* PURPOSE: Global Definitions used in BROWSER.EXE Modules                   */
/*          Before including this file, BROWSER.C defines:                   */
/*                 #define EXTERN                                            */
/*          All other modules define:                                        */
/*                 #define EXTERN extern                                     */
/*          This creates one instance of data ( in BROWSER.C ) and allows    */
/*          all other modules to have references to the data.                */
/*****************************************************************************/

/*****************************************************************************/
/* OS/2 Defines for Compatibility                                            */
/*****************************************************************************/

#define  PSZ      char *
#define  SHORT    int
#define  VOID     void
#define  PVOID    void *
#define  CHAR     char
#define  PCHAR    char *

/*****************************************************************************/
/* Defines and Includes                                                      */
/*****************************************************************************/

#include <MVPCWIN.H>         // Videodisc control include
#include <VSBWIN.H>          // Physical scrollbar user interface include
#include <MVWNWIN.H>         // Video window include

#include "BROWSER.H"         // This program's special defines etc.

/*****************************************************************************/
/* Function Prototypes                                                       */
/*****************************************************************************/

WORD  FAR PASCAL  AboutDlgProc( HWND, WORD, WORD, LONG );
WORD  FAR PASCAL  AudioAttributesProc( HWND, WORD, WORD, LONG );
WORD  FAR PASCAL  EditRangeDlgProc( HWND, WORD, WORD, LONG );
WORD  FAR PASCAL  FrameRangeDlgProc( HWND, WORD, WORD, LONG );
WORD  FAR PASCAL  FrameSubclassProc( HWND, WORD, WORD, LONG );
WORD  FAR PASCAL  ImageDlgProc( HWND, WORD, WORD, LONG );
WORD  FAR PASCAL  LoadRangeDlgProc( HWND, WORD, WORD, LONG );
LONG  FAR PASCAL  MVPCResponseWndProc( HWND, WORD, WORD, LONG );
LONG  FAR PASCAL  MVPCAdviseWndProc( HWND, WORD, WORD, LONG );
LONG  FAR PASCAL  MVWNResponseWndProc( HWND, WORD, WORD, LONG );
WORD  FAR PASCAL  OpenProfileDlgProc(  HWND, WORD, WORD, LONG );
WORD  FAR PASCAL  ProfileDlgProc( HWND, WORD, WORD, LONG );
WORD  FAR PASCAL  SaveImageDlgProc( HWND, WORD, WORD, LONG );
WORD  FAR PASCAL  SaveRangeDlgProc( HWND, WORD, WORD, LONG );
WORD  FAR PASCAL  VideoAttributesProc( HWND, WORD, WORD, LONG );
LONG  FAR PASCAL  VideoSubClassProc( HWND, WORD, WORD, LONG );

VOID BecomingActive( VOID );
VOID BitMapToClipboard( VOID );
WORD CreateVideoControls( VOID );
VOID CreatePlayerControls( VOID );
VOID DestroyFullScreenVideo( VOID );
VOID DoFullScreenVideo( VOID );
VOID EditRange( HWND, PSZ );
VOID HandleFileMenuInit( VOID );
VOID HandleVideodiscMenuInit( VOID );
VOID HandleVideoWindowMenuInit( VOID );
BOOL MVPCCommand( WORD, LONG, LONG, LONG );
BOOL MVWNCommand( WORD, LONG, LONG );
VOID ResizeVideoControls( VOID );
VOID SetBoxPosition( HWND, SHORT );
VOID SetIdealCoord( VOID );
VOID ShowMessage( HWND, WORD, WORD );
VOID SetSourceCoordinates( VOID );
VOID SizeVideo( VOID );
void UpdatePlayerStatus( VOID );
void UpdateVideoStatus( LPMVWNQRY );

int PASCAL WinMain( HANDLE, HANDLE, LPSTR, int );
long FAR PASCAL MainWndProc(  HWND, WORD, WORD, LONG );


/*****************************************************************************/
/* Uninitialized Global Variables                                            */
/*****************************************************************************/

EXTERN HANDLE hInst;                // Instance Handle

EXTERN WORD mvpcCommandMsg;         // Videodisc control message IDs
EXTERN WORD mvpcQueryMsg;           //    Assigned by the MVPCInitialize call

EXTERN WORD mvwnCommandMsg;         // Video window message IDs
EXTERN WORD mvwnQueryMsg;           //    Assigned by the MVWNInitialize call

EXTERN WORD scrollbarheight;        // Videodisc Scroll Bar Height

EXTERN WORD   FullScreenVideo;      // In Full Screen Video ? ( = 1, Yes )

EXTERN HMENU hwndPopUpMenu;         // Pop Up Menu

EXTERN HWND hwndAudioAttributes;    // Audio Attributes Dialog
EXTERN HWND hwndFrame;              // Standard Application Frame Window
EXTERN HWND hwndHelpInstance;       // Handle to Help Window
EXTERN HWND hwndMenu;               // Frame Window's Menu Window Handle
EXTERN HWND hwndMVPC;               // Current (top) Videodisc Control
EXTERN HWND hwndMVPCAdvise;         // Advise proc for Videodisc Control Msgs
EXTERN HWND hwndMVPCs[MAX_PLAYERS]; // HWNDs for the 3 possible Vdisc Controls
EXTERN HWND hwndMVPCResponse;       // Response proc for Videodisc Control Msgs
EXTERN HWND hwndMVWNResponse;       // Response proc for Video Window Messages
EXTERN HWND hwndRestoreImage;       // Restore Video Image ( from Disk ) Dialog
EXTERN HWND hwndVideoAttributes;    // Video Attributes Dialog
EXTERN HWND hwndVideoWindow;        // Video Window
EXTERN HWND hwndDeskTop;            // Desk Top Window

EXTERN FARPROC lpVideoAttributes;   // Video Attributes Procedure Instance Addr
EXTERN FARPROC lpAudioAttributes;   // Audio Attributes Procedure Instance Addr
EXTERN FARPROC lpRestoreImage;      // Video Image Procedure Instance Addr

                                       // Profile Data:
EXTERN CHAR  CurrentDirectory[67];     //    Current Directory
EXTERN CHAR  szAppName[BUFFSIZE];      //    Application Name
                                       //    Profile Name:
EXTERN CHAR  szProfileName[12];        //            With the Extension
EXTERN CHAR  szShortProfileName[9];    //            Without the Extension

EXTERN MVWNQRY  VideoStatus;           // Global Status of Video
EXTERN MVPCQRY  PlayerStatus;          // Global Status of Current Player

                                       // Current Frame Range:
EXTERN LONG  fromFrame;                //         From Frame Number
EXTERN LONG  toFrame;                  //         To Frame Number
EXTERN LONG  MaxFrame;                 //         Max Frame Number

EXTERN WORD   usVideoSource;           // Current Video Source ( 1, 2, or 3 )
EXTERN WORD   CurrentPlayer;           // Current Videodisc Player  0 or 1
EXTERN BOOL   fTiePlayersToSources;    // Whether to Switch Sources When
                                       //         Switch players and Vice Versa

EXTERN CHAR   ctlstr[STRBUFLEN];       // % String to Display Scroll Bar Values

EXTERN WORD   IdealFrameHeight;        // Ideal Size Frame - Height
EXTERN WORD   IdealFrameWidth;         // Ideal Size Frame - Width

EXTERN WORD SaveSourceHorg[4];         // Default Video Source Coordinates
EXTERN WORD SaveSourceVorg[4];         //        NOTE: Element 0 is Unused
EXTERN WORD SaveSourceHlen[4];
EXTERN WORD SaveSourceVlen[4];

EXTERN HCURSOR hptrVid[3];             // MVWN System Pointers
EXTERN HCURSOR hptrActive[3];          // MVPC System Pointers
EXTERN HCURSOR hptrBusy[3];

EXTERN BOOL Loaded[3];                 // Player Loaded Flags

EXTERN BOOL    HelpPending;            // Help Mode Flag    TRUE = "ON"
EXTERN CHAR    HelpFileName[32];       // Help File Name
EXTERN HCURSOR HelpCursor;             // Help Pending Cursor

EXTERN HANDLE  AccTableHandle;         // Handle to Accelerator Table
EXTERN HCURSOR HourGlass;              // Hour Glass ( WAIT ) Cursor

