/*****************************************************************************/
/* (C) Copyright IBM Corporation 1991, 1992                                  */
/*                                                                           */
/* MODULE:  BROWSER.H                                                        */
/* VERSION: 1.00                                                             */
/*                                                                           */
/* PURPOSE: Common #DEFINE's used by all ( WINDOWS ) BROWSER Modules         */
/*****************************************************************************/

/*****************************************************************************/
/* Defines                                                                   */
/*****************************************************************************/

#define MVPC_ACK           WM_USER + 100
#define MVPC_RESPONSE      MVPC_ACK + 1
#define MVPC_ADVISE        MVPC_ACK + 2

#define MVWN_ACK           WM_USER + 200
#define MVWN_RESPONSE      MVWN_ACK + 1
#define MVWN_ADVISE        MVWN_ACK + 2

#define MAX_VIDEOSOURCES   3     // 3 video sources possible
#define MAX_PLAYERS        2     // 2 players possible

#define CHANNEL1           1     // useful videodisc player audio defines
#define CHANNEL2           2
#define BOTHCHANNELS       3
#define NOAUDIO            0

#define BOTTM              0     // Used When Calling SetBoxPosition()
#define TOP                1

#define STRBUFLEN          40

#define BUFFSIZE           32    // Max Size of a Range Name
#define DESCSIZE           80    // Max Size of a Range Description Text

#define INACTIVECOLOR      0L    // Inactive Video Window Color

/*****************************************************************************/
/* Defines for BROWSER.RC                                                    */
/*****************************************************************************/

// Dialog ID's

#define DLG_SETFRAMERANGE          257
#define DLG_SAVEFRAMERANGE         258
#define DLG_LOADFRAMERANGE         259
#define DLG_NEWPROFILE             260
#define DLG_OPENPROFILE            261
#define DLG_EDITRANGE              262
#define DLG_PROFILENAME            263
#define DLG_VIDEO                  264
#define DLG_AUDIO                  265
#define DLG_LOADIMAGE              266
#define DLG_SAVEIMAGE              267

#define ID_ACTIVE1                  10
#define ID_BUSY1                    11
#define ID_ACTIVE2                  20
#define ID_BUSY2                    21
#define ID_ACTIVE3                  30
#define ID_BUSY3                    31

#define ID_VIDEO1                   41
#define ID_VIDEO2                   42
#define ID_VIDEO3                   43


// ID's For Menu Items in "FILE" Option

#define MI_VIDEOIMAGE               30
#define MI_NEWPROFILE               31
#define FIRST_FILEITEM              MI_NEWPROFILE
#define MI_OPENPROFILE              32
#define MI_RANGELOAD                33
#define MI_RANGESAVE                34
#define MI_RANGEDIT                 35
#define LAST_FILEITEM               MI_RANGEDIT

// ID's For Menu Items in "Videodisc" Option

#define MI_FRAMERANGE               36
#define FIRST_VCONTROLITEM          MI_FRAMERANGE
#define MI_INFODISPLAY              37
#define MI_AUDIOCHANNELS            38
#define MI_NOAUDIO                  39
#define MI_AUDIO1                   40
#define MI_AUDIO2                   41
#define MI_BOTH                     42
#define MI_SPEED                    43
#define MI_SPEEDSLOW                44
#define MI_SPEEDNORMAL              45
#define MI_SPEEDFAST                46
#define MI_LOAD                     47
#define MI_UNLOAD                   48
#define MI_PLAYER                   49
#define MI_PLAYER1                  50
#define MI_PLAYER2                  51
#define MI_TIE                      52
#define MI_QUERY                    53
#define MI_QUERYFRAME               54
#define MI_QUERYRANGE               55
#define MI_SCROLLBAR                56
#define MI_AUDIO3                   57
#define MI_AUDIO4                   58
#define MI_DIG_STEREO               59
#define LAST_VCONTROLITEM           MI_DIG_STEREO

// ID's For Menu Items in "Video Window" Option

#define MI_EFFECTS                  70
#define MI_SCALING_ON               71
#define MI_SCALING_OFF              72
#define MI_BLACKWHITE               73
#define MI_COLOR                    74
#define MI_VIDEOSOURCE              75
#define MI_VS1                      76
#define MI_VS2                      77
#define MI_VS3                      78
#define MI_FREEZE                   79
#define MI_UNFREEZE                 80
#define MI_BITMAP                   81
#define MI_INACTIVESTYLE            82
#define MI_INACTIVEBITMAP           83
#define MI_INACTIVEIMAGE            84
#define MI_INACTIVECOLOR            85
#define MI_SETATTRIBUTES            86
#define MI_SETAUDIO                 87
#define MI_WINDOWSIZE               88
#define MI_FULLSCREEN               89
#define MI_IDEALSIZE                90
#define MI_4THSCREEN                91
#define MI_SCANMODE                 92
#define MI_PROGRESSIVE              93
#define MI_DOUBLING                 94
#define MI_SINGLEFIELDSCAN          95

// ID's For Menu Items in "Help" Option

#define MI_HELPINDEX                96
#define MI_HELPFORHELP              97
#define MI_HELPKEYBOARD             98
#define MI_ABOUT                    99

// ID's For Items in "Edit Frame Range" Dialog

#define ID_DELETE                   401
#define ID_ADD                      402
#define ID_SAVE                     403
#define ID_CANCEL                   404
#define ID_CHANGE                   405
#define ID_DESCRIPTION              406
#define ID_SHOWALL                  407
#define ID_LOAD                     408

#define ID_FROMFRAME                409
#define ID_TOFRAME                  410
#define ID_SETFRAMERANGE            411
#define ID_CURRENTRANGE             412

#define ID_KEYWORD                  455
#define ID_SAVEKEYWORD              454

#define ID_LISTBOX                  256

#define ID_SETATTRIBUTES            256

#define ID_PROFILENAME              356

#define ID_EDITRANGETEXT            303
#define ID_WINDOWTEXT               304
#define ID_MVWNRESPONSECLASS        306
#define ID_MVPCRESPONSECLASS        307
#define ID_APPLICATIONNAME          308
#define ID_TIE                      309
#define ID_UNTIE                    310
#define ID_SHOW                     311
#define ID_HIDE                     312
#define ID_MVPCADVISECLASS          313
#define ID_SLIDERNUMBERS            314
#define ID_DEFAULTDLL               315
#define ID_FRAMEON                  316
#define ID_FRAMEOFF                 317
#define ID_ENTRYERROR               318
#define ID_INVALIDFRAMERANGE        319

// ID's For Items in "Video Attributes" Dialog

#define ID_BRIGHTNESS               326
#define ID_BRIGHTNESS_SB            327
#define ID_CONTRAST                 328
#define ID_CONTRAST_SB              329
#define ID_COLOR                    330
#define ID_COLOR_SB                 331
#define ID_TINT                     332
#define ID_TINT_SB                  333
#define ID_SHARP                    334
#define ID_SHARP_SB                 335

#define ID_FORMATPERCENT            336
#define ID_ATTRIBUTETITLE           337

// ID's For Items in "Audio Attributes" Dialog

#define ID_VOLUME                   338
#define ID_VOLUME_SB                339
#define ID_BALANCE                  340
#define ID_BALANCE_SB               341
#define ID_FADE                     342
#define ID_FADE_SB                  343
#define ID_TREBLE                   344
#define ID_TREBLE_SB                345
#define ID_BASS                     346
#define ID_BASS_SB                  347
#define ID_MUTE                     348
#define ID_AUDIOTITLE               349

// ID's For Error Message Strings

#define ID_BLANKNAME                350
#define ID_RANGENAME                351
#define ID_DELETEENTRY              352
#define ID_CANTADD                  353
#define ID_ALREADYEXISTS            354
#define ID_CANTCHANGE               355
#define ID_DOESNTEXIST              356
#define ID_IMAGENAME                357
#define ID_HELPFILENAME             358
#define ID_ACKERROR                 359
#define ID_ADVISERROR               360
#define ID_CURRANGE                 361
#define ID_NOMULTIMEDIA             362
#define ID_QUERYRANGE               363
#define ID_QUERYFRAME               364

#define ID_OVERWRITE                365
#define ID_FILEEXISTS               366
#define ID_CANTOPEN                 367
#define ID_NOMEMORY                 368
#define ID_NOTSAVED                 369
#define ID_ERRORWRITING             370
#define ID_FILERC                   371
#define ID_ALLOCERROR               372
#define ID_GLOBALLERR               373
#define ID_LOCKERROR                374
#define ID_DELETENTRY               375
#define ID_FULLTITLETEXT            376

