/**********************************************************************/
/*                                                                    */
/* (C) Copyright IBM Corporation 1992                                 */
/*                                                                    */
/*  MODULE:       MCIDDE.C                                            */
/*                                                                    */
/*  VERSION:      M-Control Program /2   Version 2.0                  */
/*                using Microsoft Windows 3.0 ( TM )                  */
/*                                                                    */
/*                                                                    */
/*  FUNCTIONS:    WndProc()                                           */
/*                ServerProc()                                        */
/*                CloseEnumProc()                                     */
/*                ServerExecute()                                     */
/*                                                                    */
/*                                                                    */
/*  DESCRIPTION:  MCI DDE Server.                                     */
/*                                                                    */
/**********************************************************************/
#include <windows.h>
#include <dde.h>


HANDLE hInst;
char far szAppName[] = "MCIDDE";
char szServerClass[] = "mciddeserver";

#define DDE_TIMEOUT 3000
#define EXECUTE_STRING_MAX_SIZE 255

//---------------------------------------------------------------------
// function prototypes

long FAR PASCAL WndProc        (HWND, WORD, WORD, LONG);
long FAR PASCAL ServerProc     (HWND, WORD, WORD, LONG);
BOOL FAR PASCAL CloseEnumProc  (HWND, LONG);
void FAR PASCAL ServerExecute  (HWND, HWND, HANDLE);
extern DWORD FAR PASCAL  mciSendString (LPSTR, LPSTR, WORD, HANDLE);



//---------------------------------------------------------------------
// program entry point

int PASCAL WinMain ( hInstance, hPrevInstance, lpCmdLine, nCmdShow)
HANDLE hInstance;
HANDLE hPrevInstance;
LPSTR lpCmdLine;
int nCmdShow;

{
    HWND hwnd;
    MSG msg;
    WNDCLASS wc;

    if (hPrevInstance)          // only one server necessary
        return (FALSE);

    hInst = hInstance;

    // Register main window class
    wc.style         = 0;
    wc.lpfnWndProc   = WndProc;
    wc.cbClsExtra    = 0;
    wc.cbWndExtra    = 0;
    wc.hInstance     = hInstance;
    wc.hIcon         = LoadIcon (hInstance, szAppName);
    wc.hCursor       = LoadCursor (NULL, IDC_ARROW);
    wc.hbrBackground = GetStockObject(WHITE_BRUSH);
    wc.lpszMenuName  = NULL;
    wc.lpszClassName = szAppName;
    RegisterClass (&wc);

    // Register window class for server
    wc.style         = 0;
    wc.lpfnWndProc   = ServerProc;
    wc.cbClsExtra    = 0;
    wc.cbWndExtra    = 1 * sizeof (WORD);
    wc.hInstance     = hInstance;
    wc.hIcon         = NULL;
    wc.hCursor       = NULL;
    wc.hbrBackground = NULL;
    wc.lpszMenuName  = NULL;
    wc.lpszClassName = szServerClass;
    RegisterClass (&wc);

    hwnd = CreateWindow (szAppName, "MCI DDE Server",
                         WS_OVERLAPPEDWINDOW,
                         CW_USEDEFAULT, CW_USEDEFAULT,
                         CW_USEDEFAULT, CW_USEDEFAULT,
                         NULL, NULL, hInstance, NULL);

    ShowWindow (hwnd, SW_SHOWMINNOACTIVE);
    UpdateWindow (hwnd);

    while (GetMessage (&msg, NULL, 0 , 0)) {
       TranslateMessage (&msg);
       DispatchMessage (&msg);
    }

    return msg.wParam;
}



long FAR PASCAL WndProc (HWND hwnd,
                         WORD message,
                         WORD wParam,
                         LONG lParam) {

   static FARPROC  lpCloseEnumProc;
   static char far szTopic[]="SYSTEM";
   ATOM            aApp, aTop;
   HWND            hwndClient, hwndServer;

   switch (message) {
   case WM_CREATE :
      lpCloseEnumProc = MakeProcInstance (CloseEnumProc, hInst);
      return 0;

   case  WM_DDE_INITIATE :
      hwndClient = wParam;
      aApp = GlobalAddAtom (szAppName);
      aTop = GlobalAddAtom (szTopic);

      if ((LOWORD (lParam) == NULL || LOWORD (lParam) == aApp) &&
          (HIWORD (lParam) == NULL || HIWORD (lParam) == aTop))
          {
          hwndServer = CreateWindow (szServerClass, NULL, WS_CHILD,
                                     0, 0, 0, 0, hwnd, NULL, hInst,
                                     NULL);

          SetWindowWord (hwndServer, 0, hwndClient);
          SendMessage (wParam, WM_DDE_ACK, hwndServer,
                       MAKELONG (aApp, aTop));

          }
      else  // otherwise delete the atoms just created
          {
          GlobalDeleteAtom (aApp);
          GlobalDeleteAtom (aTop);
          }
      return 0;

   case WM_QUERYOPEN : // Do not allow window to be opened
      return 0;

   case WM_CLOSE : // Notify all child windows
      EnumChildWindows (hwnd, lpCloseEnumProc, 0L);
      break;

   case WM_DESTROY :
      PostQuitMessage(0);
      return 0;
   }
   return DefWindowProc (hwnd, message, wParam, lParam);
}




long FAR PASCAL ServerProc (HWND hwnd,
                            WORD message,
                            WORD wParam,
                            LONG lParam) {

   ATOM         aItem;
   DDEACK       DdeAck;
   DWORD        dwTime;
   GLOBALHANDLE hOption, hCommand;
   HWND         hwndClient;
   MSG          msg;
   WORD         wStatus;

   switch (message) {
   case WM_CREATE :
      return 0;

   case WM_DDE_ADVISE:
   case WM_DDE_POKE:
      hwndClient            = wParam;
      hOption               = LOWORD (lParam);
      aItem                 = HIWORD (lParam);

      DdeAck.bAppReturnCode = 0;
      DdeAck.reserved       = 0;
      DdeAck.fBusy          = FALSE;
      DdeAck.fAck           = FALSE;
      wStatus               = * (WORD *) &DdeAck;
      if (!PostMessage(hwndClient, WM_DDE_ACK,
                       hwnd, MAKELONG(wStatus, aItem))) {
         GlobalFree (hOption);        // Free resources if client gone
         GlobalDeleteAtom (aItem);
      }
      return 0;

   case WM_DDE_REQUEST:
   case WM_DDE_UNADVISE:
      hwndClient            = wParam;
      aItem                 = HIWORD (lParam);

      DdeAck.bAppReturnCode = 0;
      DdeAck.reserved       = 0;
      DdeAck.fBusy          = FALSE;
      DdeAck.fAck           = FALSE;
      wStatus               = * (WORD *) &DdeAck;
      if (!PostMessage(hwndClient, WM_DDE_ACK,
                       hwnd, MAKELONG(wStatus, aItem))) {
         GlobalDeleteAtom (aItem);    // Free resource if client gone
      }
      return 0;

   case WM_DDE_TERMINATE:
      hwndClient = wParam;
      PostMessage (hwndClient, WM_DDE_TERMINATE, hwnd, 0L);
      DestroyWindow (hwnd);
      return 0;

   case WM_CLOSE:
      hwndClient = GetWindowWord (hwnd, 0);
      PostMessage (hwndClient, WM_DDE_TERMINATE, hwnd, 0L);
      dwTime = GetCurrentTime();
      while (GetCurrentTime() - dwTime < DDE_TIMEOUT) {
         if (PeekMessage (&msg, hwnd, WM_DDE_TERMINATE,
                          WM_DDE_TERMINATE, PM_REMOVE))
            break;
      }
      DestroyWindow (hwnd);
      return 0;
   case WM_DESTROY:
      return 0;
   case WM_DDE_EXECUTE:
      hwndClient = wParam;
      hCommand = HIWORD (lParam);
      ServerExecute(hwnd, hwndClient, hCommand);
      break;
   }
   return DefWindowProc (hwnd, message, wParam, lParam);
}




BOOL FAR PASCAL CloseEnumProc (HWND hwnd, LONG lParam) {
   SendMessage (hwnd, WM_CLOSE, 0, 0L);
   return TRUE;
}




void FAR PASCAL ServerExecute(HWND hwndServer,
                              HWND hwndClient,
                              HANDLE hCommand) {

    LPSTR        lpstrCommand;
    DDEACK       DdeAck;
    WORD         wStatus;

    if (!(lpstrCommand = GlobalLock(hCommand)))
    {
        DdeAck.bAppReturnCode = 0;
        DdeAck.reserved       = 0;
        DdeAck.fBusy          = FALSE;
        DdeAck.fAck           = FALSE;
        wStatus               = * (WORD *) &DdeAck;

        PostMessage(hwndClient,
            WM_DDE_ACK,
            hwndServer,
            MAKELONG(wStatus, hCommand)); /* negative acknowledgement */
        return;
    }
    if (lstrlen(lpstrCommand) > EXECUTE_STRING_MAX_SIZE)
        lpstrCommand[EXECUTE_STRING_MAX_SIZE] = 0; // truncate if necessary

    GlobalUnlock(hCommand);

    if (mciSendString(lpstrCommand, NULL, 0, NULL))
        DdeAck.fAck           = FALSE;
    else
        DdeAck.fAck           = TRUE;

    DdeAck.bAppReturnCode = 0;
    DdeAck.reserved       = 0;
    DdeAck.fBusy          = FALSE;
    wStatus               = * (WORD *) &DdeAck;

    PostMessage(hwndClient,
        WM_DDE_ACK,
        hwndServer,
        MAKELONG(wStatus, hCommand));

    return;
}
