/**********************************************************************/
/*                                                                    */
/* (C) Copyright IBM Corporation 1992                                 */
/*                                                                    */
/*  MODULE:       AUDDEFS.H                                           */
/*                                                                    */
/*  VERSION:      Digital Audio Sample Application for the            */
/*                M-Control Program /2   Version 2.0                  */
/*                using Microsoft Windows 3.0 ( TM )                  */
/*                                                                    */
/*  DESCRIPTION:  Definition statements                               */
/*                                                                    */
/**********************************************************************/

#define IDM_NEW            1
#define IDM_OPEN           2
#define IDM_CLOSE          3
#define IDM_DELETE         4
#define IDM_EXIT           5
#define IDM_ABOUT          6

#define IDM_RESET          7
#define IDM_PLAY           8
#define IDM_PAUSE          9
#define IDM_RESUME        10
#define IDM_RECORD        11
#define IDM_STOP          12

#define ID_VOLUME         13
#define ID_VOLUME_SB      14
#define ID_BALANCE        15
#define ID_BALANCE_SB     16
#define ID_BASS           17
#define ID_BASS_SB        18
#define ID_TREBLE         19
#define ID_TREBLE_SB      20

#define ID_DIGITALVOL     21
#define ID_DIGITALVOL_SB  22
#define ID_RECORDLEVEL    23
#define ID_RECORDLEVEL_SB 24


#define ID_POSITION       30

#define ID_MUTE           40
#define ID_DELETE         60

#define ID_FNAME          70

#define ID_MONO           71
#define ID_STEREO         72
#define ID_8BIT           73
#define ID_16BIT          74
#define ID_31KHZ          75
#define ID_78KHZ          76

#define ID_OPENBOX        80
#define ID_DELBOX         81


/************************/
/*  Text Error Messages */
/************************/

#define IDS_LOCATEFILE         101
#define IDS_NO_AUDIO_OUTPUT    102
#define IDS_NO_AUDIO_INPUT     103
#define IDS_NO_MMOTION         104
#define IDS_NO_VOL_CONTROL     105
#define IDS_AUX_WARNING        106
#define IDS_WAVEINOPEN         107
#define IDS_WAVEOUTOPEN        108
#define IDS_WAVEOUTRESTART     109
#define IDS_WAVEOUTPREPHDR     110
#define IDS_WAVEINPREPHDR      111
#define IDS_WAVEOUTWRITE       112
#define IDS_WAVEINADDBUFF      113
#define IDS_TIMER              114
#define IDS_DELETEFILE         115
#define IDS_RESTART            116
#define IDS_NOFILE             117
#define IDS_DISK               118
#define IDS_NOTRIFF            119
#define IDS_RECORDOVERFILE     120
#define IDS_NODATA             121
#define IDS_NOFILES            122


/********************************/
/*  Miscellaneous Text Messages */
/********************************/

#define IDS_DRIVER             200
#define IDS_MMOTIONINI         201
#define IDS_DIALOGTITLE        202
#define IDS_SAMPLERATE         203
#define IDS_STEREO             204
#define IDS_MONO               205
#define IDS_BLANK              206
#define IDS_MCI_ERROR          207
#define IDS_WARNING            208
#define IDS_MMOTION_INPUT      209
#define IDS_MMOTION_OUTPUT     210
#define IDS_MMOTION_AUX        211
#define IDS_RIGHT_VOL          212
#define IDS_LEFT_VOL           213
#define IDS_TREBLE             214
#define IDS_BASS               215
#define IDS_REC_LEVEL          216
#define IDS_DIGITAL_VOL        217
#define IDS_AUX_DRIVERS        218
#define IDS_AUX                219
#define IDS_AUX1               220
