// WINDOWS version
//*****************************************************************************
// (C) Copyright IBM Corporation 1989,1992
//
// MODULE:  VSBWP.c           (VSB Window Procedure)
// VERSION: 1.00
//
// DESCRIPTION:
//
//          This module contains the main window procedure for the
//          Videodisc Scroll Bar (VSB) DLL.
//
//*****************************************************************************

//*****************************************************************************
// DEFINES & INCLUDES
//*****************************************************************************

#include <windows.h>

#include "mvpcwin.h"       // Include for the MVPC object
#include "vsbwin.h"        // Public  includes
#include "vsb2win.h"       // Private includes


//**************************************************************************<f>
// Func: VSBWndProc                                   Author: Steve Henson
//
// Parm: HWND     hWnd;    -- The user interface window handle
//       WORD     msg;     -- The message
//       WORD     wparam;  -- message specific
//       DWORD    lparam;  -- message specific
//
// Desc: The window procedure for this user interface.  Handles messages
//       from the interface controls.
//
//*****************************************************************************

LONG FAR PASCAL VSBWndProc (HWND hWnd, WORD msg, WORD wparam, DWORD lparam)
   {

   switch (msg)
      {
      case WM_HSCROLL:
         return (ProcessHSCROLL (hWnd, wparam, lparam));
         break;

      case WM_CREATE:
         return (ProcessCREATE (hWnd, lparam));
         break;

      case WM_SIZE:
         return (ProcessSIZE (hWnd, lparam));
         break;

      case WM_SETCURSOR:
         return (ProcessSETCURSOR (hWnd));
         break;

      case WM_GETDLGCODE:
         return ((LONG) 0);
         break;

      case WM_DESTROY:
         return (ProcessDESTROY (hWnd, msg, wparam, lparam));
         break;

      default:
         if (msg == msgMVPC_ADVISE)
            {
            ProcessADVISE (hWnd, wparam, lparam);
            return ((LONG)0);
            }
         else if (msg == msgMVPC_ACK)
            {
            ProcessACK (hWnd, msg, wparam, lparam);
            return ((LONG)0);
            }
         else if (msg == msgMVPC_RESP)
            {
            ProcessRESP (hWnd, msg, wparam, lparam);
            return ((LONG)0);
            }
         else if (msg == msgMVPC_COMMAND)
            {
            ProcessCOMMAND (hWnd, lparam);
            return ((LONG)0);
            }
         else if (msg == msgMVPC_QUERY)
            {
            ProcessQUERY (hWnd, lparam);
            return ((LONG)0);
            }
         else
            return DefWindowProc (hWnd, msg, wparam, lparam);
      }

   return ((LONG)0);
   }


//*****************************************************************************
// END OF FILE
//*****************************************************************************
